<?
/**
 * @author        QWEBGAME
 * @dev            NTQuang
 * @copyright    2012 - 2013
 * @Yahoo        ntquang.info
 * @Email        QWEBGAME.NET@gmail.com
 * @HotLine        0905.013.777
 * WebSite được thiết kế bởi NBB.
 * Phát triển bởi QWebGame.NET
 */

if (!defined('QWEB')) die("Ban khong co quyen truy cap he thong");

foreach ($_GET as $check_get) {
    if (!preg_match("/^[a-zA-Z0-9_\.@!#$^&%=]*$/i", $check_get)) {
        echo "$check_get Khong duoc su dung ky tu dac biet";
        exit();
    }
}

function antiinject_query($value)
{
    $value = stripslashes($value);
    $value = htmlspecialchars($value, ENT_QUOTES, "UTF-8");
    return $value;
}

function viewchar($login)
{
    include('config/config.php');
    $form_data = "action=view_char&login=$login&passtransfer=$passtransfer";
    $show_reponse = @file_get_contents($server_url . "/view.php?" . $form_data);
    $char = explode('<netbanbe>', $show_reponse);
    for ($i = 0; $i < 5; ++$i) {
        if (!empty($char[$i])) {
            $showchar[] = $char[$i];
        }
    }
    return $showchar;
}

function kiemtra_kitudacbiet($login)
{
    if (!preg_match("/^[a-zA-Z0-9_]*$/i", $login)) {
        echo "Du lieu loi : $login . Chi duoc su dung ki tu a-z, A-Z, so (1-9) va dau _.";
        exit();
    }
}

function kiemtra_kituso($login)
{
    if (!preg_match("/^[0-9]*$/i", $login)) {
        echo "Du lieu loi : $login . Chi duoc su dung so (1-9).";
        exit();
    }
}

function kiemtra_email($email)
{
    if (!preg_match("/^[a-zA-Z0-9\.@_-]*$/i", $email)) {
        echo "Email Khong duoc su dung nhung ky tu dac biet.";
        exit();
    }
    if (!preg_match("/^[a-z0-9]+([_\\.-][a-z0-9]+)*@([a-z0-9]+([\.-][a-z0-9]+)*)+\\.[a-z]{2,6}$/i", $email)) {
        echo "Dia chi Email khong dung. Xin vui long kiem tra lai.";
        exit();
    }
}

function _getdaugia_list($file_host = 'data/daugia_bidding.txt', $time_wait = 60)
{
    global $server_url, $getcontent_method, $getcontent_curl, $passtransfer;

    $time = time() + date("25200");

    $fp_host = fopen($file_host, "a+");
    $time_host = fgets($fp_host);
    fclose($fp_host);
    if ($time >= ($time_host + $time_wait) || $time_host > $time) {
        $getcontent_url = $server_url . "/sv_com.php";
        $getcontent_data = array(
            'login' => $_SESSION['mu_username'],
            'name' => $_SESSION['mu_nvchon'],

            'action' => 'listitem_biding',
            'pagesv' => 'sv_com_daugia',
            'string_login' => $_SESSION['checklogin'],
            'passtransfer' => $passtransfer
        );

        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

        if (!empty($reponse)) {
            $reponse_explode = explode('<nbb>', $reponse);
            if ($reponse_explode[1] == 'OK') {
                //Ghi vào file
                $fp = fopen($file_host, "w+");
                fputs($fp, $time . "\n" . $reponse_explode[2]);
                fclose($fp);
                //End Ghi vào File
            } else {
                $err = "Lỗi : $reponse";
                echo $err;
            }
        } else {
            echo "Không nhận được dữ liệu";
        }
    }
}

function _getchotroi_list($file_host = 'data/chotroi_bidding.txt', $time_wait = 60)
{
    global $server_url, $getcontent_method, $getcontent_curl, $passtransfer;

    $time = time() + date("25200");

    $fp_host = fopen($file_host, "a+");
    $time_host = fgets($fp_host);
    fclose($fp_host);
    if ($time >= ($time_host + $time_wait) || $time_host > $time) {
        $getcontent_url = $server_url . "/sv_com.php";
        $getcontent_data = array(
            'login' => $_SESSION['mu_username'],
            'name' => $_SESSION['mu_nvchon'],

            'action' => 'listitem_biding',
            'pagesv' => 'sv_com_chotroi',
            'string_login' => $_SESSION['checklogin'],
            'passtransfer' => $passtransfer
        );

        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

        if (!empty($reponse)) {
            $reponse_explode = explode('<nbb>', $reponse);
            if ($reponse_explode[1] == 'OK') {
                //Ghi vào file
                $fp = fopen($file_host, "w+");
                fputs($fp, $time . "\n" . $reponse_explode[2]);
                fclose($fp);
                //End Ghi vào File
            } else {
                $err = "Lỗi : $reponse";
                echo $err;
            }
        } else {
            echo "Không nhận được dữ liệu";
        }
    }
}

function jum($local)
{
    header("Location: $local");
}

function empty_field($login)
{
    if (empty($login)) {
        $error = "<font size='2' color='red'>Chưa điền đầy đủ tất cả dữ liệu cần thiết.</font>";
    }
}

function get_ip()
{
    # Enable X_FORWARDED_FOR IP matching?
    $do_check = 1;
    $addrs = array();

    if ($do_check) {
        foreach (array_reverse(explode(',', $_SERVER['HTTP_X_FORWARDED_FOR'])) as $x_f) {
            $x_f = trim($x_f);
            if (preg_match('/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/', $x_f)) {
                $addrs[] = $x_f;
            }
        }

        $addrs[] = $_SERVER['HTTP_CLIENT_IP'];
        $addrs[] = $_SERVER['HTTP_PROXY_USER'];
    }

    $addrs[] = $_SERVER['REMOTE_ADDR'];

    foreach ($addrs as $v) {
        if ($v) {
            preg_match("/^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})$/", $v, $match);
            $ip = $match[1] . '.' . $match[2] . '.' . $match[3] . '.' . $match[4];

            if ($ip && $ip != '...') {
                break;
            }
        }
    }

    if (!$ip || $ip == '...') {
        print_error("Không thể xác định địa chỉ IP của bạn.");
    }

    return $ip;
}

function _trimendslashurl($url)
{
    // Trim End URL /
    while (substr($url, -1) == "/") {
        $url = substr($url, 0, -1);
    }
    return $url;
}


function _checksendsv($second_check = 1)
{
    $last_send = $_COOKIE['last_sendsv'];
    $timenowcheck = time();
    if (isset($last_send) && $last_send > 0) {
        if (($timenowcheck - $last_send) > $second_check) {
            $expire = time() + 60 * 60 * 24 * 30;
            setcookie("last_sendsv", time(), $expire);
            return true;
        } else {
            return false;
        }
    } else {
        $expire = time() + 60 * 60 * 24 * 30;
        setcookie("last_sendsv", time(), $expire);
        return true;
    }
    return true;
}

function _loaddata()
{
    if (strlen($_SESSION['mu_username']) > 0 && strlen($_SESSION['mu_nvchon']) > 0 && (!isset($_COOKIE["nweb_loaddata"]) || $_COOKIE["nweb_loaddata"] < (time() - 30))) {

        global $server_url, $getcontent_method, $getcontent_curl, $passtransfer;

        $getcontent_url = $server_url . "/view.php";
        $getcontent_data = array(
            'action' => 'view_infoacc',
            'login' => $_SESSION['mu_username'],
            'name' => $_SESSION['mu_nvchon'],
            'string_login' => $_SESSION[checklogin],
            'passtransfer' => $passtransfer
        );

        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
        $data = unserialize_safe($reponse);
        if (is_array($data)) {

            $_SESSION['acc_gcoin'] = $data['acc_gcoin'];
            $_SESSION['acc_gcoin_km'] = $data['acc_gcoin_km'];
            $_SESSION['acc_vpoint'] = $data['acc_vpoint'];
            $_SESSION['acc_zen'] = $data['acc_zen'];
            $_SESSION['acc_chao'] = $data['acc_chao'];
            $_SESSION['acc_cre'] = $data['acc_cre'];
            $_SESSION['acc_blue'] = $data['acc_blue'];
            $_SESSION['acc_box_kd1'] = $data['acc_box_kd1'];
            $_SESSION['acc_box_kd2'] = $data['acc_box_kd2'];
            $_SESSION['acc_box_kd3'] = $data['acc_box_kd3'];
            $_SESSION['acc_box_kd4'] = $data['acc_box_kd4'];
            $_SESSION['acc_box_kd5'] = $data['acc_box_kd5'];
            $_SESSION['acc_WCoin'] = $data['acc_WCoin'];
            $_SESSION['IPBonusPoint'] = $data['acc_ipbonuspoint'];

            $_SESSION['nv_online'] = $data['online'];
            $_SESSION['nv_doinv'] = $data['doinv'];
            $_SESSION['nv_level'] = $data['nv_level'];
            $_SESSION['nv_point'] = $data['nv_point'];
            $_SESSION['nv_pointdutru'] = $data['nv_pointdutru'];
            $_SESSION['nv_zen'] = $data['nv_zen'];
            $_SESSION['nv_reset'] = $data['nv_reset'];
            $_SESSION['nv_resetday'] = $data['nv_resetday'];
            $_SESSION['nv_resetmonth'] = $data['nv_resetmonth'];
            $_SESSION['nv_relife'] = $data['nv_relife'];
            $_SESSION['nv_khoado'] = $data['nv_khoado'];
            $_SESSION['nv_uythaconline'] = $data['nv_uythacon'];
            $_SESSION['nv_point_uythac'] = $data['nv_pointuythac'];
            $_SESSION['nv_uythac_offline'] = $data['nv_uythac_offline'];
            $_SESSION['nv_uythac_offline_time'] = $data['nv_uythac_offline_time'];
            $_SESSION['nv_uythac_offline_daily'] = $data['nv_uythac_offline_daily'];
            $_SESSION['nv_top50'] = $data['nv_top50'];
            $_SESSION['point_event'] = $data['nv_point_event'];
            $_SESSION['event1_type1'] = $data['nv_event1_type1'];
            $_SESSION['event1_type2'] = $data['nv_event1_type2'];
            $_SESSION['event1_type3'] = $data['nv_event1_type3'];
            $_SESSION['event1_type1_daily'] = $data['nv_event1_type1_daily'];
            $_SESSION['event1_type2_daily'] = $data['nv_event1_type2_daily'];
            $_SESSION['event1_type3_daily'] = $data['nv_event1_type3_daily'];

            setcookie("nweb_loaddata", time(), time() + 24 * 60 * 60);

        } else {
            setcookie("nweb_loaddata", time() + 3600, time() + 24 * 60 * 60);
        }
    }
}

function unserialize_safe($serialized)
{
    // unserialize will return false for object declared with small cap o
    // as well as if there is any ws between O and :
    if (is_string($serialized) && strpos($serialized, "\0") === false) {
        if (strpos($serialized, 'O:') === false) {
            // the easy case, nothing to worry about
            // let unserialize do the job
            return @unserialize($serialized);
        } else if (!preg_match('/(^|;|{|})O:[0-9]+:"/', $serialized)) {
            // in case we did have a string with O: in it,
            // but it was not a true serialized object
            return @unserialize($serialized);
        }
    }
    return false;
}

/**
 * read_TagName()
 * @param mixed $content
 * @param mixed $tagname
 * @param integer $vitri
 * $vitri = 0 : output All
 * $vitri = x : output Element x, Element 0 : Count Total Element
 * @return
 */
function read_TagName($content, $tagname, $vitri = 0)
{
    $tag_begin = '<' . $tagname . '>';
    $tag_end = '</' . $tagname . '>';
    $content1 = explode($tag_begin, $content);
    $slg_string = count($content1) - 1;
    $output[] = $slg_string; // Vị trí đầu tiên xuất ra số lượng phần tử
    for ($i = 1; $i < count($content1); $i++) // Duyệt từ phần tử thứ 1 đến hết
    {
        $content2 = explode($tag_end, $content1[$i]);
        $output[] = $content2[0];
    }

    if ($vitri == 0) return $output;
    else return $output[$vitri];
}

/**
 * _getContent()
 * @param string $url
 * @param array $data
 * @param string $method - GET OR POST
 * @param bool $use_curl - true OR false
 * @return
 */
function _getContent($url, $data = null, $method = "GET", $use_curl = false)
{
    if (!is_array($data)) $data = null;
    if (count($data) > 0) {
        $postdata = urldecode(http_build_query($data, '', '&'));
    } else $postdata = "";
    if ($method != "POST") $method = "GET";

    if ($use_curl === true) {
        $ch = curl_init();
        if ($method == "POST") {
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postdata);
        } else {
            curl_setopt($ch, CURLOPT_URL, $url . "?" . $postdata);
        }
        //curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_TIMEOUT, 20);
        $content = curl_exec($ch);
        curl_close($ch);
    } else {
        $opts = array(
            'http' => array(
                'method' => $method,
                'content' => $postdata
            )
        );
        $context = stream_context_create($opts);

        if ($method == "GET" && $postdata) $url = $url . "?" . $postdata;
        $content = @file_get_contents($url, false, $context);
    }

    //setcookie("nweb_loaddata", time(), time()+24*60*60);
    return $content;
}

///////////////////////////////////////////////////
function ItemsData($id, $group, $item_level = 0)
{
    $file_data = "config/Items_Data.txt";
    $fopen_host = fopen($file_data, "r");
    while (!feof($fopen_host)) {
        $item_data = fgets($fopen_host, 100);
        $item_data = preg_replace('(\n)', '', $item_data);
        $item_get = explode('|', $item_data);
        if ($item_get[1] == $group && $item_get[2] == $id) {
            $item_read[] = array(
                'image' => $item_get[0],
                'name' => $item_get[3],
                'x' => $item_get[4],
                'y' => $item_get[5],
                'set1' => $item_get[6],
                'set2' => $item_get[7],
            );
            if ($item_get[1] != $group && $item_get[2] != $id) break;
        }
    }
    fclose($fopen_host);
    if (!isset($item_read[$item_level][image])) {
        return $item_read[0];
    } else return $item_read[$item_level];
}

function GetCode($string)
{
    // Phân tich Mã Item 32 số
    $id = hexdec(substr($string, 0, 2)); // Item ID
    $group = hexdec(substr($string, 18, 2)); // Item Type
    $group = $group / 16;
    $option = hexdec(substr($string, 2, 2)); // Item Level/Skill/Option Data
    $level = floor($option / 8);
    $output = array(
        'id' => $id,
        'group' => $group,
        'level' => $level,
    );
    return $output;
}

function ItemImage($id, $group, $ExclAnci, $level = 0)
{
    switch ($ExclAnci) {
        case 1:
            $tnpl = '10';
            break;
        case 2:
            $tnpl = '01';
            break;
        default:
            $tnpl = '00';
    }
    $item_type = $group * 16;
    if ($id > 31) {
        $nxt = 'F9';
        $id += -32;
    } else $nxt = '00';
    if ($item_type < 128) {
        $tipaj = '00';
        $id += $item_type;
    } else {
        $tipaj = '80';
        $item_type += -128;
        $id += $item_type;
    }
    $item_type += $id;
    $item_type = sprintf("%02X", $item_type, 00);
    if (file_exists('images/items/' . $tnpl . $item_type . $tipaj . $nxt . '.gif')) $output = 'images/items/' . $tnpl . $item_type . $tipaj . $nxt . '.gif';
    else $output = 'images/items/00' . $item_type . $tipaj . $nxt . '.gif';
    $i = $level + 1;
    while ($i > 0) {
        $i += -1;
        $item_level = sprintf("%02X", $i, 00);
        if (file_exists('images/items/' . $tnpl . $item_type . $tipaj . $nxt . $item_level . '.gif')) {
            $output = 'images/items/' . $tnpl . $item_type . $tipaj . $nxt . $item_level . '.gif';
            $i = 0;
        }
    }
    if (!file_exists($output)) $output = 'images/items/SinFoto.gif';
    return $output;
}

function ItemInfo($string)
{
    if ($string == 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF' || $string == 'ffffffffffffffffffffffffffffffff') {
        $output = '';
        return $output;
    }
    // Phân tich Mã Item 32 số
    $id = hexdec(substr($string, 0, 2)); // Item ID
    $group = hexdec(substr($string, 18, 2)); // Item Type
    $group = $group / 16;
    $option = hexdec(substr($string, 2, 2)); // Item Level/Skill/Option Data
    $durability = hexdec(substr($string, 4, 2)); // Item Durability
    $serial = substr($string, 6, 8); // Item SKey
    $exc_option = hexdec(substr($string, 14, 2)); // Item Excellent Info/ Option
    $ancient = hexdec(substr($string, 16, 2)); // Ancient data
    $harmony = hexdec(substr($string, 20, 2));
    $socket_slot[1] = hexdec(substr($string, 22, 2)); // Socket data
    $socket_slot[2] = hexdec(substr($string, 24, 2)); // Socket data
    $socket_slot[3] = hexdec(substr($string, 26, 2)); // Socket data
    $socket_slot[4] = hexdec(substr($string, 28, 2)); // Socket data
    $socket_slot[5] = hexdec(substr($string, 30, 2)); // Socket data
    // Điều chỉnh Item Thần
    if ($ancient == 4) $ancient = 5;
    if ($ancient == 9) $ancient = 10;
    // Kiểm tra Item có tuyệt chiêu
    if ($option < 128) $skill = '';
    else {
        $skill = '<font color=#8CB0EA>Vũ khí có tuyệt chiêu</font><br>';
        $option = $option - 128;
    }
    // Kiểm tra Cấp độ Item
    $item_level = floor($option / 8);
    $option = $option - $item_level * 8;
    // Kiểm tra Item luck
    if ($option < 4) $luck = '';
    else {
        $luck = '<font color=#8CB0EA>May Mắn (Tỉ lệ ép Ngọc Tâm Linh + 25%)<br>May Mắn (Sát thương tối đa + 5%)</font><br>';
        $option = $option - 4;
    }
    // Kiểm tra Excellent Option
    if ($exc_option >= 64) {
        $option += 4;
        $exc_option += -64;
    }
    if ($exc_option < 32) {
        $iopx6 = 0;
    } else {
        $iopx6 = 1;
        $exc_option += -32;
    }
    if ($exc_option < 16) {
        $iopx5 = 0;
    } else {
        $iopx5 = 1;
        $exc_option += -16;
    }
    if ($exc_option < 8) {
        $iopx4 = 0;
    } else {
        $iopx4 = 1;
        $exc_option += -8;
    }
    if ($exc_option < 4) {
        $iopx3 = 0;
    } else {
        $iopx3 = 1;
        $exc_option += -4;
    }
    if ($exc_option < 2) {
        $iopx2 = 0;
    } else {
        $iopx2 = 1;
        $exc_option += -2;
    }
    if ($exc_option < 1) {
        $iopx1 = 0;
    } else {
        $iopx1 = 1;
        $exc_option += -1;
    }

    if ($group < 6) $item_type = 0;
    else if ($group == 6) $item_type = 1;
    else if ($group < 12) $item_type = 2;
    else if ($group == 12 && in_array($id, array(36, 37, 38, 39, 40, 43, 50))) $item_type = 7;
    else if ($group == 12 || ($group == 13 && $id == 30)) $item_type = 3;
    else if ($group == 13 && in_array($id, array(8, 9, 21, 22, 23, 24, 39, 40, 41))) $item_type = 4;
    else if ($group == 13 && in_array($id, array(12, 13, 25, 26, 27, 28))) $item_type = 5;
    else if ($group == 13 && $id == 37) $item_type = 6;
    else if ($group == 13 && $id == 30) $item_type = 8;

    $item_exc = '';
    switch ($item_type) {
        case 0 :
            $op1 = 'Tăng lượng MANA khi giết quái (MANA/8)';
            $op2 = 'Tăng lượng LIFE khi giết quái (LIFE/8)';
            $op3 = 'Tốc độ tấn công +7';
            $op4 = 'Tăng lực tấn công 2%';
            $op5 = 'Tăng lực tấn công (Cấp độ/20)';
            $op6 = 'Khả năng xuất hiện lực tấn công hoàn hảo +10%';
            $option_type = 'Tăng thêm sát thương';
            $option_bonus = $option * 4;
            break;
        case 1:
            $op1 = 'Lượng ZEN rơi ra khi giết quái +40%';
            $op2 = 'Khả năng xuất hiện phòng thủ hoàn hảo +10%';
            $op3 = 'Phản hồi sát thương +5%';
            $op4 = 'Giảm sát thương +4%';
            $op5 = 'Lượng MANA tối đa +4%';
            $op6 = 'Lượng HP tối đa +4%';
            $option_type = 'Tăng thêm phòng thủ';
            $option_bonus = $option * 5;
            break;
        case 2:
            $op1 = 'Lượng ZEN rơi ra khi giết quái +40%';
            $op2 = 'Khả năng xuất hiện phòng thủ hoàn hảo +10%';
            $op3 = 'Phản hồi sát thương +5%';
            $op4 = 'Giảm sát thương +4%';
            $op5 = 'Lượng MANA tối đa +4%';
            $op6 = 'Lượng HP tối đa +4%';
            $option_type = 'Tăng thêm phòng thủ';
            $option_bonus = $option * 4;
            $skill = '';
            break;
        case 3:
            $op1 = '+ 115 Lượng HP tối đa';
            $op2 = '+ 115 Lượng MP tối đa';
            $op3 = 'Khả năng loại bỏ phòng thủ đối phương +3%';
            $op4 = '+ 50 Lực hành động tối đa';
            $op5 = 'Tốc độ tấn công +7';
            $op6 = '';
            $option_type = 'Tự động hồi phục HP';
            $option_bonus = $option . '%';
            $skill = '';
            $nocolor = true;
            break;
        case 4:
            $op1 = 'Lượng HP tối đa 4%';
            $op2 = 'Lượng MANA tối đa 4%';
            $op3 = 'Giảm sát thương +4%';
            $op4 = 'Phản hồi sát thương +5%';
            $op5 = 'Khả năng xuất hiện phòng thủ hoàn hảo +10%';
            $op6 = 'Lượng ZEN rơi ra khi giết quái +40%';
            $option_type = 'Tự động hồi phục HP';
            $option_bonus = $option . '%';
            $skill = '';
            break;
        case 5:
            $op1 = 'Khả năng xuất hiện lực tấn công hoàn hảo +10%';
            $op2 = 'Tăng lực tấn công (Cấp độ/20)';
            $op3 = 'Tăng lực tấn công 2%';
            $op4 = 'Tốc độ tấn công +7';
            $op5 = 'Tăng lượng LIFE khi giết quái (LIFE/8)';
            $op6 = 'Tăng lượng MANA khi giết quái (MANA/8)';
            $option_type = 'Tự động hồi phục HP';
            $option_bonus = $option . '%';
            $skill = '';
            break;
        case 6:
            $op1 = 'Gia tăng mức phá hủy +10%<br>Tăng tốc độ di chuyển';
            $op2 = 'Gia tăng mức phòng thủ +10%<br>Tăng tốc độ di chuyển';
            $op3 = 'Tăng tốc độ di chuyển';
            $op4 = '';
            $op5 = '';
            $op6 = '';
            $option_type = '';
            $option_bonus = '';
            $skill = 'Tuyệt chiêu Bão Điện (MANA:50)';
            break;
        case 7:
            $op1 = '5% cơ hội loại bỏ sức phòng thủ';
            $op2 = '5 % phản đòn khi cận chiến';
            $op3 = '5% khả năng hồi phục hoàn toàn HP';
            $op4 = '5% khả năng hồi phục hoàn toàn nội lực';
            $op5 = '';
            $op6 = '';
            $option_type = 'Lực đánh Phép Thuật';
            $option_bonus = $option * 4;
            $skill = '';
            $nocolor = true;
            break;
        case 8:
            $op1 = 'Tăng HP +50';
            $op2 = 'Tăng Mana +50';
            $op3 = '3% cơ hội loại bỏ phòng thủ đối phương';
            $op4 = 'Gia tăng mệnh lệnh +10';
            $op5 = '';
            $op6 = '';
            $option_type = 'Sức đánh tăng';
            $option_bonus = $option . '%';
            $skill = '';
            $nocolor = true;
            break;
        default:
            $op1 = '';
            $op2 = '';
            $op3 = '';
            $op4 = '';
            $op5 = '';
            $op6 = '';
            $op7 = '';
            $op8 = '';
            $option_type = '';
            $option_bonus = '';
            $skill = '';
            $nocolor = true;
    }
    if ($option_bonus != 0) $item_option = '<font color=#9AADD5>' . $option_type . ' +' . $option_bonus . '</font><br>'; else $item_option = '';
    if ($iopx1 == 1) $item_exc .= '<br>' . $op1;
    if ($iopx2 == 1) $item_exc .= '<br>' . $op2;
    if ($iopx3 == 1) $item_exc .= '<br>' . $op3;
    if ($iopx4 == 1) $item_exc .= '<br>' . $op4;
    if ($iopx5 == 1) $item_exc .= '<br>' . $op5;
    if ($iopx6 == 1) $item_exc .= '<br>' . $op6;


    //Kiểm tra Socket Item
    $item_socket = '';
    for ($slot = 1; $slot < 6; $slot++) {
        if ($socket_slot[$slot] == 0) $socket[$slot] = 0;
        else if ($socket_slot[$slot] == 255) {
            $socket_type[$slot] = '(Chưa khảm dòng socket)';
            $socket[$slot] = 1;
        } else {
            switch ($socket_slot[$slot]) {
                case 1:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 20';
                    $socket[$slot] = 1;
                    break;
                case 2:
                    $socket_type[$slot] = 'Lửa (Tăng tốc độ tấn công) + 7';
                    $socket[$slot] = 1;
                    break;
                case 3:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 30';
                    $socket[$slot] = 1;
                    break;
                case 4:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 20';
                    $socket[$slot] = 1;
                    break;
                case 5:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 20';
                    $socket[$slot] = 1;
                    break;
                case 6:
                    $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 40';
                    $socket[$slot] = 1;
                    break;
                case 11:
                    $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 10';
                    $socket[$slot] = 1;
                    break;
                case 12:
                    $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 30';
                    $socket[$slot] = 1;
                    break;
                case 13:
                    $socket_type[$slot] = 'Nước (Tăng khả năng phòng vệ của khiên) + 7';
                    $socket[$slot] = 1;
                    break;
                case 14:
                    $socket_type[$slot] = 'Nước (Giảm sát thương) + 4';
                    $socket[$slot] = 1;
                    break;
                case 15:
                    $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 5';
                    $socket[$slot] = 1;
                    break;
                case 17:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 8';
                    $socket[$slot] = 1;
                    break;
                case 18:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 8';
                    $socket[$slot] = 1;
                    break;
                case 19:
                    $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 37';
                    $socket[$slot] = 1;
                    break;
                case 20:
                    $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 25';
                    $socket[$slot] = 1;
                    break;
                case 21:
                    $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 30';
                    $socket[$slot] = 1;
                    break;
                case 22:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 8';
                    $socket[$slot] = 1;
                    break;
                case 23:
                    $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 4';
                    $socket[$slot] = 1;
                    break;
                case 24:
                    $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 4';
                    $socket[$slot] = 1;
                    break;
                case 25:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 7';
                    $socket[$slot] = 1;
                    break;
                case 26:
                    $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 25';
                    $socket[$slot] = 1;
                    break;
                case 27:
                    $socket_type[$slot] = 'Gió (Tăng lượng AG) + 3';
                    $socket[$slot] = 1;
                    break;
                case 30:
                    $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 15';
                    $socket[$slot] = 1;
                    break;
                case 31:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 10';
                    $socket[$slot] = 1;
                    break;
                case 32:
                    $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 30';
                    $socket[$slot] = 1;
                    break;
                case 33:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 8';
                    $socket[$slot] = 1;
                    break;
                case 37:
                    $socket_type[$slot] = 'Đất (Tăng thể lực) + 30';
                    $socket[$slot] = 1;
                    break;
                case 51:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 400';
                    $socket[$slot] = 1;
                    break;
                case 52:
                    $socket_type[$slot] = 'Lửa (Tăng tốc độ đánh) + 1';
                    $socket[$slot] = 1;
                    break;
                case 53:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 54:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 1';
                    $socket[$slot] = 1;
                    break;
                case 55:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 1';
                    $socket[$slot] = 1;
                    break;
                case 56:
                    $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 61:
                    $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 1';
                    $socket[$slot] = 1;
                    break;
                case 62:
                    $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 1';
                    $socket[$slot] = 1;
                    break;
                case 63:
                    $socket_type[$slot] = 'Nước (Tăng khả năng phòng vệ của khiên) + 1';
                    $socket[$slot] = 1;
                    break;
                case 64:
                    $socket_type[$slot] = 'Nước (Giảm sát thương) + 1';
                    $socket[$slot] = 1;
                    break;
                case 65:
                    $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 1';
                    $socket[$slot] = 1;
                    break;
                case 67:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 49';
                    $socket[$slot] = 1;
                    break;
                case 68:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 49';
                    $socket[$slot] = 1;
                    break;
                case 69:
                    $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 70:
                    $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 1';
                    $socket[$slot] = 1;
                    break;
                case 71:
                    $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 1';
                    $socket[$slot] = 1;
                    break;
                case 72:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 1';
                    $socket[$slot] = 1;
                    break;
                case 73:
                    $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 74:
                    $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 75:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 1';
                    $socket[$slot] = 1;
                    break;
                case 76:
                    $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 77:
                    $socket_type[$slot] = 'Gió (Tăng lượng AG) + 1';
                    $socket[$slot] = 1;
                    break;
                case 80:
                    $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 1';
                    $socket[$slot] = 1;
                    break;
                case 81:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 1';
                    $socket[$slot] = 1;
                    break;
                case 82:
                    $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 83:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 87:
                    $socket_type[$slot] = 'Đất (Tăng thể lực) + 1';
                    $socket[$slot] = 1;
                    break;
                case 101:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 400';
                    $socket[$slot] = 1;
                    break;
                case 102:
                    $socket_type[$slot] = 'Lửa (Tăng tốc độ đánh) + 1';
                    $socket[$slot] = 1;
                    break;
                case 103:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 104:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 1';
                    $socket[$slot] = 1;
                    break;
                case 105:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 1';
                    $socket[$slot] = 1;
                    break;
                case 106:
                    $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 111:
                    $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 1';
                    $socket[$slot] = 1;
                    break;
                case 112:
                    $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 1';
                    $socket[$slot] = 1;
                    break;
                case 113:
                    $socket_type[$slot] = 'Nước (Tăng sức phòng thủ Shield) + 1';
                    $socket[$slot] = 1;
                    break;
                case 114:
                    $socket_type[$slot] = 'Nước (Giảm sát thương) + 1';
                    $socket[$slot] = 1;
                    break;
                case 115:
                    $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 1';
                    $socket[$slot] = 1;
                    break;
                case 117:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 50';
                    $socket[$slot] = 1;
                    break;
                case 118:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 50';
                    $socket[$slot] = 1;
                    break;
                case 119:
                    $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 120:
                    $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 1';
                    $socket[$slot] = 1;
                    break;
                case 121:
                    $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 1';
                    $socket[$slot] = 1;
                    break;
                case 122:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 1';
                    $socket[$slot] = 1;
                    break;
                case 123:
                    $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 124:
                    $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 125:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 1';
                    $socket[$slot] = 1;
                    break;
                case 126:
                    $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 127:
                    $socket_type[$slot] = 'Gió (Tăng lượng AG) + 1';
                    $socket[$slot] = 1;
                    break;
                case 130:
                    $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 1';
                    $socket[$slot] = 1;
                    break;
                case 131:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 1';
                    $socket[$slot] = 1;
                    break;
                case 132:
                    $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 133:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 137:
                    $socket_type[$slot] = 'Đất (Tăng thể lực) + 1';
                    $socket[$slot] = 1;
                    break;
                case 151:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 400';
                    $socket[$slot] = 1;
                    break;
                case 152:
                    $socket_type[$slot] = 'Lửa (Tăng tốc độ đánh) + 1';
                    $socket[$slot] = 1;
                    break;
                case 153:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 154:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 1';
                    $socket[$slot] = 1;
                    break;
                case 155:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 1';
                    $socket[$slot] = 1;
                    break;
                case 156:
                    $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 161:
                    $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 1';
                    $socket[$slot] = 1;
                    break;
                case 162:
                    $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 1';
                    $socket[$slot] = 1;
                    break;
                case 163:
                    $socket_type[$slot] = 'Nước (Tăng sức phòng thủ Shield) + 1';
                    $socket[$slot] = 1;
                    break;
                case 164:
                    $socket_type[$slot] = 'Nước (Giảm sát thương) + 1';
                    $socket[$slot] = 1;
                    break;
                case 165:
                    $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 1';
                    $socket[$slot] = 1;
                    break;
                case 167:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 51';
                    $socket[$slot] = 1;
                    break;
                case 168:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 51';
                    $socket[$slot] = 1;
                    break;
                case 169:
                    $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 170:
                    $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 1';
                    $socket[$slot] = 1;
                    break;
                case 171:
                    $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 1';
                    $socket[$slot] = 1;
                    break;
                case 172:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 1';
                    $socket[$slot] = 1;
                    break;
                case 173:
                    $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 174:
                    $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 175:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 1';
                    $socket[$slot] = 1;
                    break;
                case 176:
                    $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 177:
                    $socket_type[$slot] = 'Gió (Tăng lượng AG) + 1';
                    $socket[$slot] = 1;
                    break;
                case 180:
                    $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 1';
                    $socket[$slot] = 1;
                    break;
                case 181:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 1';
                    $socket[$slot] = 1;
                    break;
                case 182:
                    $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 183:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 187:
                    $socket_type[$slot] = 'Đất (Tăng thể lực) + 1';
                    $socket[$slot] = 1;
                    break;
                case 201:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật (theo Level) + 400';
                    $socket[$slot] = 1;
                    break;
                case 202:
                    $socket_type[$slot] = 'Lửa (Tăng tốc độ đánh) + 1';
                    $socket[$slot] = 1;
                    break;
                case 203:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 204:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật tối thiểu) + 1';
                    $socket[$slot] = 1;
                    break;
                case 205:
                    $socket_type[$slot] = 'Lửa (Tăng tấn công/phép thuật) + 1';
                    $socket[$slot] = 1;
                    break;
                case 206:
                    $socket_type[$slot] = 'Lửa (Giảm lượng AG khi dùng kỹ năng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 211:
                    $socket_type[$slot] = 'Nước (Tăng tỷ lệ phòng thủ) + 1';
                    $socket[$slot] = 1;
                    break;
                case 212:
                    $socket_type[$slot] = 'Nước (Tăng sức phòng thủ) + 1';
                    $socket[$slot] = 1;
                    break;
                case 213:
                    $socket_type[$slot] = 'Nước (Tăng sức phòng thủ Shield) + 1';
                    $socket[$slot] = 1;
                    break;
                case 214:
                    $socket_type[$slot] = 'Nước (Giảm sát thương) + 1';
                    $socket[$slot] = 1;
                    break;
                case 215:
                    $socket_type[$slot] = 'Nước (Phản hồi sát thương) + 1';
                    $socket[$slot] = 1;
                    break;
                case 217:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục HP khi giết quái vật) + 52';
                    $socket[$slot] = 1;
                    break;
                case 218:
                    $socket_type[$slot] = 'Băng (Tăng khả năng hồi phục Mana khi giết quái vật) + 52';
                    $socket[$slot] = 1;
                    break;
                case 219:
                    $socket_type[$slot] = 'Băng (Tăng sức sát thương kỹ năng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 220:
                    $socket_type[$slot] = 'Băng (Tăng lực tấn công) + 1';
                    $socket[$slot] = 1;
                    break;
                case 221:
                    $socket_type[$slot] = 'Băng (Tăng độ bền vật phẩm) + 1';
                    $socket[$slot] = 1;
                    break;
                case 222:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục HP) + 1';
                    $socket[$slot] = 1;
                    break;
                case 223:
                    $socket_type[$slot] = 'Gió (Tăng HP tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 224:
                    $socket_type[$slot] = 'Gió (Tăng Mana tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 225:
                    $socket_type[$slot] = 'Gió (Tự động hồi phục Mana) + 1';
                    $socket[$slot] = 1;
                    break;
                case 226:
                    $socket_type[$slot] = 'Gió (Tăng AG tối đa) + 1';
                    $socket[$slot] = 1;
                    break;
                case 227:
                    $socket_type[$slot] = 'Gió (Tăng lượng AG) + 1';
                    $socket[$slot] = 1;
                    break;
                case 230:
                    $socket_type[$slot] = 'Sét (Tăng sát thương hoàn hảo) + 1';
                    $socket[$slot] = 1;
                    break;
                case 231:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương hoàn hảo) + 1';
                    $socket[$slot] = 1;
                    break;
                case 232:
                    $socket_type[$slot] = 'Sét (Tăng sát thương chí mạng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 233:
                    $socket_type[$slot] = 'Sét (Tăng tỷ lệ sát thương chí mạng) + 1';
                    $socket[$slot] = 1;
                    break;
                case 237:
                    $socket_type[$slot] = 'Đất (Tăng thể lực) + 1';
                    $socket[$slot] = 1;
                    break;
            }
        }
        if ($socket[$slot] == 1) $item_socket .= '<br>Socket ' . $slot . ': ' . $socket_type[$slot];
    }
    $item_harmony = '';
    if ($harmony < 32) $item_harmony .= 'Lực tấn công tồi thiểu + ';
    else if ($harmony < 48) $item_harmony .= 'Lực tấn công tồi đa + ';
    else if ($harmony < 64) $item_harmony .= 'Điểm Sức mạnh yêu cầu - ';
    else if ($harmony < 80) $item_harmony .= 'Điểm nhanh nhẹn yêu cầu - ';
    else if ($harmony < 96) $item_harmony .= 'Lực tấn công (tối đa, tối thiểu) + ';
    else if ($harmony < 112) $item_harmony .= 'Sát thương trọng kích + ';
    else if ($harmony < 128) $item_harmony .= 'Lực tấn công kĩ năng + ';
    else if ($harmony < 144) $item_harmony .= 'Tỷ lệ tấn công % + ';
    else if ($harmony < 160) $item_harmony .= 'Tỷ lệ SD + ';
    else if ($harmony < 176) $item_harmony .= 'Tỷ lệ loại bỏ SD + ';
    switch ($harmony) {
        case 16:
            $item_harmony .= '2';
            break;
        case 17:
            $item_harmony .= '3';
            break;
        case 18:
            $item_harmony .= '4';
            break;
        case 19:
            $item_harmony .= '5';
            break;
        case 20:
            $item_harmony .= '6';
            break;
        case 21:
            $item_harmony .= '7';
            break;
        case 22:
            $item_harmony .= '9';
            break;
        case 23:
            $item_harmony .= '11';
            break;
        case 24:
            $item_harmony .= '12';
            break;
        case 25:
            $item_harmony .= '14';
            break;
        case 26:
            $item_harmony .= '15';
            break;
        case 27:
            $item_harmony .= '16';
            break;
        case 28:
            $item_harmony .= '17';
            break;
        case 29:
            $item_harmony .= '20';
            break;
        case 30:
            $item_harmony .= '100000';
            break;
        case 31:
            $item_harmony .= '110000';
            break;
        case 32:
            $item_harmony .= '3';
            break;
        case 33:
            $item_harmony .= '4';
            break;
        case 34:
            $item_harmony .= '5';
            break;
        case 35:
            $item_harmony .= '6';
            break;
        case 36:
            $item_harmony .= '7';
            break;
        case 37:
            $item_harmony .= '8';
            break;
        case 38:
            $item_harmony .= '10';
            break;
        case 39:
            $item_harmony .= '12';
            break;
        case 40:
            $item_harmony .= '14';
            break;
        case 41:
            $item_harmony .= '17';
            break;
        case 42:
            $item_harmony .= '20';
            break;
        case 43:
            $item_harmony .= '23';
            break;
        case 44:
            $item_harmony .= '26';
            break;
        case 45:
            $item_harmony .= '29';
            break;
        case 46:
            $item_harmony .= '100000';
            break;
        case 47:
            $item_harmony .= '110000';
            break;
        case 48:
            $item_harmony .= '6';
            break;
        case 49:
            $item_harmony .= '8';
            break;
        case 50:
            $item_harmony .= '10';
            break;
        case 51:
            $item_harmony .= '12';
            break;
        case 52:
            $item_harmony .= '14';
            break;
        case 53:
            $item_harmony .= '16';
            break;
        case 54:
            $item_harmony .= '20';
            break;
        case 55:
            $item_harmony .= '23';
            break;
        case 56:
            $item_harmony .= '26';
            break;
        case 57:
            $item_harmony .= '29';
            break;
        case 58:
            $item_harmony .= '32';
            break;
        case 59:
            $item_harmony .= '35';
            break;
        case 60:
            $item_harmony .= '37';
            break;
        case 61:
            $item_harmony .= '40';
            break;
        case 62:
            $item_harmony .= '100000';
            break;
        case 63:
            $item_harmony .= '110000';
            break;
        case 64:
            $item_harmony .= '6';
            break;
        case 65:
            $item_harmony .= '8';
            break;
        case 66:
            $item_harmony .= '10';
            break;
        case 67:
            $item_harmony .= '12';
            break;
        case 68:
            $item_harmony .= '14';
            break;
        case 69:
            $item_harmony .= '16';
            break;
        case 70:
            $item_harmony .= '20';
            break;
        case 71:
            $item_harmony .= '23';
            break;
        case 72:
            $item_harmony .= '26';
            break;
        case 73:
            $item_harmony .= '29';
            break;
        case 74:
            $item_harmony .= '32';
            break;
        case 75:
            $item_harmony .= '35';
            break;
        case 76:
            $item_harmony .= '37';
            break;
        case 77:
            $item_harmony .= '40';
            break;
        case 78:
            $item_harmony .= '100000';
            break;
        case 79:
            $item_harmony .= '110000';
            break;
        case 80:
            $item_harmony .= '0';
            break;
        case 81:
            $item_harmony .= '0';
            break;
        case 82:
            $item_harmony .= '0';
            break;
        case 83:
            $item_harmony .= '0';
            break;
        case 84:
            $item_harmony .= '0';
            break;
        case 85:
            $item_harmony .= '0';
            break;
        case 86:
            $item_harmony .= '7';
            break;
        case 87:
            $item_harmony .= '8';
            break;
        case 88:
            $item_harmony .= '9';
            break;
        case 89:
            $item_harmony .= '11';
            break;
        case 90:
            $item_harmony .= '12';
            break;
        case 91:
            $item_harmony .= '14';
            break;
        case 92:
            $item_harmony .= '16';
            break;
        case 93:
            $item_harmony .= '19';
            break;
        case 94:
            $item_harmony .= '0';
            break;
        case 95:
            $item_harmony .= '0';
            break;
        case 96:
            $item_harmony .= '0';
            break;
        case 97:
            $item_harmony .= '0';
            break;
        case 98:
            $item_harmony .= '0';
            break;
        case 99:
            $item_harmony .= '0';
            break;
        case 100:
            $item_harmony .= '0';
            break;
        case 101:
            $item_harmony .= '0';
            break;
        case 102:
            $item_harmony .= '12';
            break;
        case 103:
            $item_harmony .= '14';
            break;
        case 104:
            $item_harmony .= '16';
            break;
        case 105:
            $item_harmony .= '18';
            break;
        case 106:
            $item_harmony .= '20';
            break;
        case 107:
            $item_harmony .= '22';
            break;
        case 108:
            $item_harmony .= '24';
            break;
        case 109:
            $item_harmony .= '30';
            break;
        case 110:
            $item_harmony .= '0';
            break;
        case 111:
            $item_harmony .= '0';
            break;
        case 112:
            $item_harmony .= '0';
            break;
        case 113:
            $item_harmony .= '0';
            break;
        case 114:
            $item_harmony .= '0';
            break;
        case 115:
            $item_harmony .= '0';
            break;
        case 116:
            $item_harmony .= '0';
            break;
        case 117:
            $item_harmony .= '0';
            break;
        case 118:
            $item_harmony .= '0';
            break;
        case 119:
            $item_harmony .= '0';
            break;
        case 120:
            $item_harmony .= '0';
            break;
        case 121:
            $item_harmony .= '12';
            break;
        case 122:
            $item_harmony .= '14';
            break;
        case 123:
            $item_harmony .= '16';
            break;
        case 124:
            $item_harmony .= '18';
            break;
        case 125:
            $item_harmony .= '22';
            break;
        case 126:
            $item_harmony .= '0';
            break;
        case 127:
            $item_harmony .= '0';
            break;
        case 128:
            $item_harmony .= '0';
            break;
        case 129:
            $item_harmony .= '0';
            break;
        case 130:
            $item_harmony .= '0';
            break;
        case 131:
            $item_harmony .= '0';
            break;
        case 132:
            $item_harmony .= '0';
            break;
        case 133:
            $item_harmony .= '0';
            break;
        case 134:
            $item_harmony .= '0';
            break;
        case 135:
            $item_harmony .= '0';
            break;
        case 136:
            $item_harmony .= '0';
            break;
        case 137:
            $item_harmony .= '5';
            break;
        case 138:
            $item_harmony .= '7';
            break;
        case 139:
            $item_harmony .= '9';
            break;
        case 140:
            $item_harmony .= '11';
            break;
        case 141:
            $item_harmony .= '14';
            break;
        case 142:
            $item_harmony .= '0';
            break;
        case 143:
            $item_harmony .= '0';
            break;
        case 144:
            $item_harmony .= '0';
            break;
        case 145:
            $item_harmony .= '0';
            break;
        case 146:
            $item_harmony .= '0';
            break;
        case 147:
            $item_harmony .= '0';
            break;
        case 148:
            $item_harmony .= '0';
            break;
        case 149:
            $item_harmony .= '0';
            break;
        case 150:
            $item_harmony .= '0';
            break;
        case 151:
            $item_harmony .= '0';
            break;
        case 152:
            $item_harmony .= '0';
            break;
        case 153:
            $item_harmony .= '3';
            break;
        case 154:
            $item_harmony .= '5';
            break;
        case 155:
            $item_harmony .= '7';
            break;
        case 156:
            $item_harmony .= '9';
            break;
        case 157:
            $item_harmony .= '10';
            break;
        case 158:
            $item_harmony .= '0';
            break;
        case 159:
            $item_harmony .= '0';
            break;
        case 160:
            $item_harmony .= '0';
            break;
        case 161:
            $item_harmony .= '0';
            break;
        case 162:
            $item_harmony .= '0';
            break;
        case 163:
            $item_harmony .= '0';
            break;
        case 164:
            $item_harmony .= '0';
            break;
        case 165:
            $item_harmony .= '0';
            break;
        case 166:
            $item_harmony .= '0';
            break;
        case 167:
            $item_harmony .= '0';
            break;
        case 168:
            $item_harmony .= '0';
            break;
        case 169:
            $item_harmony .= '0';
            break;
        case 170:
            $item_harmony .= '0';
            break;
        case 171:
            $item_harmony .= '0';
            break;
        case 172:
            $item_harmony .= '0';
            break;
        case 173:
            $item_harmony .= '10';
            break;
        case 174:
            $item_harmony .= '0';
            break;
        case 175:
            $item_harmony .= '0';
            break;
    }
    $item_read = ItemsData($id, $group, $item_level);
    // Tra ID và Group Item để lấy thông tin từ Items_Data.txt
    $item_image = $item_read[image];
    $item_name = $item_read[name];
    $item_x = $item_read[x];
    $item_y = $item_read[y];
    if ($ancient == 5) $ancient_set = $item_read[set1];
    else if ($ancient == 10) $ancient_set = $item_read[set2];
    //Sử lí màu Tên Item
    $color = '#F3F5F8'; // White -> Normal Item
    if (($option > 1) || ($luck != '')) $color = '#8CB0EA';
    if ($item_level > 6) $color = '#F4CB3F';
    $ExclAnci = 0;
    if ($item_type == 6) { //Sói tinh
        $color = '#8CB0EA';
        if ($iopx1 == 1) {
            $item_name .= ' + Tấn công';
            $ExclAnci = 1;
        }
        if ($iopx2 == 1) {
            $item_name .= ' + Phòng thủ';
            $ExclAnci = 1;
        }
        if ($iopx3 == 1) {
            $item_name .= ' Hoàng Kim';
            $color = '#F4CB3F';
            $ExclAnci = 1;
        }
    } else if ($item_exc != '') { //Item Excellent
        //Item Harmony
        if ($harmony > 0) $item_name = 'Tử Âm ' . $item_name;
        $item_name = 'Hoàn Hảo ' . $item_name;
        $color = '#2FF387';
        $ExclAnci = 1;
    }
    // Item Thần
    if ($ancient > 0) {
        $item_name = 'SET Thần' . ' ' . $ancient_set . ' ' . $item_name;
        $color = '#2347F3';
        $ExclAnci = 2;
    }
    // Item Socket
    if ($item_socket != '') {
        $color = '#AA1EAA';
    }
    if ($nocolor) $color = '#F4CB3F';
    // Sử lí thông tin Item
    switch ($ExclAnci) {
        case 1:
            if (file_exists('images/items/EXE/' . $item_image . '.gif')) $item_image = "EXE/" . $item_image;
            else $item_image = $item_image;
            break;
        case 2:
            if (file_exists('images/items/ANC/' . $item_image . '.gif')) $item_image = "ANC/" . $item_image;
            else $item_image = $item_image;
            break;
        default:
            $item_image = $item_image;
            break;
    }
    //$item_image = ItemImage($id,$group,$ExclAnci,$item_level);
    if ($item_level == 0 || $durability == 0) $item_level = '';
    else $item_level = ' +' . $item_level;
    //$serial = 'Serial: '.$serial.'<br>';
    $durability = 'Độ bền: ' . $durability . '<br>';
    if ($harmony > 0) $item_harmony = '<font color=#C8C800>' . $item_harmony . '</font><br>'; else $item_harmony = '';
    $item_exc = '<font color=#2FF387>' . $item_exc . '</font><br>';
    $item_socket = '<font color=#AA1EAA>' . $item_socket . '</font><br>';
    $item_info = '<center><strong><span style=color:#F3F5F8><font color=' . $color . '>' . $item_name . $item_level . '</font><br>'
        //.$serial
        . $durability
        . $luck
        . $skill
        . $item_option
        . $item_harmony
        . $item_exc
        . $item_socket . '</span></strong></center>';
    $output = array(
        'info' => $item_info,
        'name' => $item_name,
        'image' => $item_image,
        'x' => $item_x,
        'y' => $item_y
    );
    return $output;
}

function guildlogo($guildmark, $coordxy)
{
    $guildmark = bin2hex($guildmark);
    $color[0] = "";
    $color[1] = "#000000";
    $color[2] = "#8c8a8d";
    $color[3] = "#ffffff";
    $color[4] = "#fe0000";
    $color[5] = "#ff8a00";
    $color[6] = "#ffff00";
    $color[7] = "#8cff01";
    $color[8] = "#00ff00";
    $color[9] = "#01ff8d";
    $color["a"] = "#00ffff";
    $color["b"] = "#008aff";
    $color["c"] = "#0000fe";
    $color["d"] = "#8c00ff";
    $color["e"] = "#ff00fe";
    $color["f"] = "#ff008c";
    $i = 0;
    $td = 0;
    $table = "<table style=\"width: " . (8 * $coordxy) . "px;height:" . (8 * $coordxy) . "px\" border=0 cellpadding=0 cellspacing=0><tr>";
    do {
        $place = $guildmark{$i};
        $i++;
        $td++;
        $add = $color[$place];
        $table .= "<td class=\"guildlogo\" style=\"background-color: " . $add . "; border:0px;\" width=\"" . $coordxy . "\" height=\"" . $coordxy . "\"></td>";
        if ($td == 8) {
            $table .= "</tr>";
            if ($td != 64) $table .= "<tr>";
            $td = 0;
        }
    } while ($i < 64);
    $table .= "</table>";
    return $table;
}

function SkillsData($id)
{
    $file_data = "config/Skills_Data.txt";
    $fopen_host = fopen($file_data, "r");
    while (!feof($fopen_host)) {
        $skill_data = fgets($fopen_host, 100);
        $skill_data = preg_replace('(\n)', '', $skill_data);
        $skill_get = explode('|', $skill_data);
        if ($skill_get[1] == $id) {
            $skill_read = array(
                'image' => $skill_get[0],
                'name' => $skill_get[2],
                'cclass' => $skill_get[3],
                'type' => $skill_get[4],
                'range' => $skill_get[5],
                'mana' => $skill_get[6],
                'stamina' => $skill_get[7],
            );
            if ($skill_get[1] != $id) break;
        }
    }
    fclose($fopen_host);
    return $skill_read;
}

function SkillInfo($string)
{
    if ($string == 'FF0000' || $string == 'ff0000') {
        $output = '';
        return $output;
    }
    $id = hexdec(substr($string, 0, 2));
    $skill_read = SkillsData($id);
    $output = array(
        'image' => $skill_read[image],
        'name' => $skill_read[name],
        'cclass' => $skill_read[cclass],
        'type' => $skill_read[type],
        'range' => $skill_read[range],
        'mana' => $skill_read[mana],
        'stamina' => $skill_read[stamina],
    );
    return $output;
}

//FW
function Show_Dialog($Txt)
{
    include('config.php');
    echo "
	<script>
	$.fx.speeds._default = 1000;
	$(function() {
		$( '#dialog:ui-dialog' ).dialog( 'destroy' );
	
		$( '#dialog-message1' ).dialog({
			show: 'explode',
			hide: 'explode',
			modal: true,
			buttons: {
				Ok: function() {
					$( this ).dialog( 'close' );
					//location.reload(true);
				}
			}
		});
	});
	</script>
<div id='dialog-message1' title='$title'>
	<p>
		<span class='ui-icon ui-icon-alert' style='float:left; margin:0 7px 60px 0;'></span>
		$Txt
	</p>
</div>
";
}

function GetTextByText($text, $ReadHtml)
{
    if (strpos($ReadHtml, $text)) {
        $i = 0;
        $pos = strpos($ReadHtml, $text) + strlen($text);
        while (substr($ReadHtml, $pos + $i, 1) != ">") {
            $i++;
        }
        $pos = $pos + $i + 1;
        $result = "";
        $i = 0;
        if ($text == 'Response') {
            $match = "</$text";
            $lentext = strlen($text) + 2;
        } else {
            $match = "</";
            $lentext = 2;
        }
        while (substr($ReadHtml, $pos + $i, $lentext) != $match) {
            $result .= substr($ReadHtml, $pos + $i, 1);
            $i++;
        }
        return $result;
    }
}

///////////////////////////////////////////////////
?>