<?php
if (!defined('QWEB')) die("Ban khong co quyen truy cap he thong");
include('config/config_daugianguoc.php');

if (isset($_POST["daugiaqweb"])) {
    $username = $_POST['username'];
    $name = $_POST['name'];
    $pass2 = $_POST['pass2'];
    $vpoint = $_POST['vpoint'];
    $bid_id = $_POST['bid_id'];

    $username = strtolower($username);
    $flag_err = false;

    if (empty($username)) {
        $error .= "Dữ liệu lỗi : Tài khoản hiện tại không được để trống";
        $flag_err = true;
    } elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $username)) {
        $error = "Dữ liệu lỗi - Tài khoản chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
        $flag_err = true;
    }

    if (empty($bid_id)) {
        $error .= "Chưa chọn Mã số Sàn Đấu Giá cần đấu giá.";
        $flag_err = true;
    } elseif (!preg_match("/^[0-9_]*$/i", $bid_id)) {
        $error = "Dữ liệu lỗi - Mã số Sàn Đấu Giá chỉ được sử dụng số (1-9).";
        $flag_err = true;
    }

    if (empty($vpoint)) {
        $error .= "Dữ liệu lỗi : Chưa chọn số lượng Vpoint muốn đấu giá";
        $flag_err = true;
    } elseif (!preg_match("/^[0-9_]*$/i", $vpoint)) {
        $error = "Dữ liệu lỗi - Dữ liệu lỗi - Vpoint chỉ được sử dụng số (1-9).";
        $flag_err = true;
    }

    if (empty($name)) {
        $error .= "Dữ liệu lỗi : Chưa chọn Nhân vật đại diện để đấu giá.";
        $flag_err = true;
    } elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $name)) {
        $error = "Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
        $flag_err = true;
    }

    if (empty($pass2)) {
        $error .= "Dữ liệu lỗi : Mật khẩu Web cấp 2 không được để trống";
        $flag_err = true;
    } elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)) {
        $error = "Dữ liệu lỗi - Mật khẩu Web cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
        $flag_err = true;
    }
    elseif ($_SESSION['security_code'] != md5($security_code)) {
        $error = "<font color='red'>Mã kiểm tra sai</font><br>";
    }
    elseif ($_SESSION['mu_username'] != $username) {
        $error = "<font color='red'>Tai khoan khong dung</font><br>";
    }


    if ($flag_err === false) {
        $getcontent_url = $server_url . "/daugiaqweb.php";
        $getcontent_data = array(
            'login' => $username,
            'pass2' => $pass2,
            'bid_id' => $bid_id,
            'name' => $name,
            'vpoint' => $vpoint,
            'passtransfer' => $passtransfer
        );

        $show_reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
        if (empty($show_reponse)) $error = "Server bảo trì.";
        elseif ($reponse == "login_other") {
            $notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
            session_destroy();
        }
        else {
            if ($show_reponse == 'OK') {
                $notice = "Tài khoản <b>$username</b> với nhân vật đại diện <b>$name</b> đấu giá <b>$vpoint</b> V.Point thành công";
            } else {
                $error = $show_reponse;
            }
        }
    }
}
$page_template = 'templates/daugiaqweb.tpl';
?>