<?php
/**
 * QWEBGAME.NET
 */

include('config/config_chotroi.php');

$action = $_GET['action'];

switch ($action) {
    case 'itembid_send':
        $vitri = $_GET['vitri'];
        $vitri = abs(intval($vitri));
        $item_code = $_GET['item_code'];

        $price_max = $_GET['price_max'];
        $price_max = abs(intval($price_max));
        $bidday = $_GET['bidday'];
        $bidday = abs(intval($bidday));

        if ($vitri < 0 || $vitri > 120) {
            echo '<font color="red"><b>Vị trí Item sai</b></font>';
        } else if (strlen($item_code) != 32) {
            echo '<font color="red"><b>Item Code sai</b></font>';
        } else if ($price_max <= 0) {
            echo '<font color="red"><b>Giá rao bán phải lớn hơn 0 Vpoint</b></font>';
        } else if ($price_max % 100 != 0) {
            echo '<font color="red"><b>Giá rao bán phải chia hết cho 100</b></font>';
        } else if (!preg_match("/^[0-9A-F]*$/i", $item_code)) {
            echo '<font color="red"><b>Item Code không hợp lệ</b></font>';
        } else if ($bidday <= 0 || $bidday > 3) {
            echo '<font color="red"><b>Thời gian Item trên chợ trời không cho phép</b></font>';
        } else if ($bidday * $Bid_Vpoint_Daily > ($_SESSION['acc_vpoint'])) {
            echo "<font color='red'><b>Tài khoản không đủ Vpoint để tham gia rao bán. Cần có ít nhất " . number_format($bidday * $Bid_Vpoint_Daily, 0, ',', '.') . " Vpoint để đưa Item lên chợ trời trong vòng " . $bidday . " ngày";
        } else {
            $getcontent_url = $server_url . "/sv_com.php";
            $getcontent_data = array(
                'login' => $_SESSION['mu_username'],
                'name' => $_SESSION['mu_nvchon'],
                'action' => 'itembid_send',
                'vitri' => $vitri,
                'item_code' => $item_code,
                'price_max' => $price_max,
                'bidday' => $bidday,

                'pagesv' => 'sv_com_chotroi',
                'string_login' => $_SESSION['checklogin'],
                'passtransfer' => $passtransfer
            );

            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

            if (empty($reponse)) echo "Server bảo trì.";
            elseif ($reponse == "login_other") {
                echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
                session_destroy();
            }
            else {
                if (read_TagName($reponse, 'info', 1) == 'OK') {
                    _getchotroi_list('data/chotroi_bidding.txt', 0);
                    echo "OK";
                } else echo "<font color='red'><b>$reponse</b></font>";
            }
        }
        break;

    case 'bid':
        $bidid = $_GET['bidid'];
        $bid = $_GET['bid'];
        $bid_vpoint = $_GET['bid_vpoint'];
        $price_max = $_GET['price_max'];

        if ($bid % 100 != 0) {
            echo "Giá mua $bid Vpoint phải chia hết cho 100";
        } else if ($bid > $price_max) {
            echo "Giá mua $bid Vpoint chỉ được bằng $price_max Vpoint để mua Item.";
		} else if ($bid ==0) {
            echo "Giá mua $bid Vpoint không được bằng 0.";
		} else if ($bid < $price_max) {
            echo "Giá mua $bid Vpoint chỉ được bằng $price_max Vpoint để mua Item.";
        } else if ($bid + $Bid_Vpoint_Member > $_SESSION['acc_vpoint']) {
            echo "Tài khoản không đủ Vpoint để tham gia mua. Cần có ít nhất $bid Vpoint để đặt và $Bid_Vpoint_Member Vpoint chi phí mua";
        } else {
            $getcontent_url = $server_url . "/sv_com.php";
            $getcontent_data = array(
                'login' => $_SESSION['mu_username'],
                'name' => $_SESSION['mu_nvchon'],
                'action' => 'bid',
                'bidid' => $bidid,
                'bid' => $bid,

                'pagesv' => 'sv_com_chotroi',
                'string_login' => $_SESSION['checklogin'],
                'passtransfer' => $passtransfer
            );

            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

            if (empty($reponse)) echo "Server bảo trì.";
            elseif ($reponse == "login_other") {
                echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
                session_destroy();
            }
            else {
                $info = read_TagName($reponse, 'info', 1);
                if ($info == 'OK' || $info == 'OK2') {
                    _getchotroi_list('data/chotroi_bidding.txt', 0);
                    $_SESSION['acc_vpoint'] = $_SESSION['acc_vpoint'] - ($bid + $Bid_Vpoint_Member);
                    echo $info;
                } else echo $reponse;
            }
        }
        break;

    case 'reward':
        $bidid = $_GET['bidid'];
        $bidid = abs(intval($bidid));
        $getcontent_url = $server_url . "/sv_com.php";
        $getcontent_data = array(
            'login' => $_SESSION['mu_username'],
            'name' => $_SESSION['mu_nvchon'],
            'action' => 'reward',
            'bidid' => $bidid,

            'pagesv' => 'sv_com_chotroi',
            'string_login' => $_SESSION['checklogin'],
            'passtransfer' => $passtransfer
        );

        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

        if (empty($reponse)) echo "Server bảo trì.";
        elseif ($reponse == "login_other") {
            echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            session_destroy();
        }
        else {
            if (read_TagName($reponse, 'info', 1) == 'OK') {
                _getchotroi_list('data/chotroi_bidding.txt', 0);
                echo "OK";
            } else echo $reponse;
        }
        break;

    case 'dg_giahan':
        $bidid = $_GET['bidid'];
        $bidid = abs(intval($bidid));
        $bidday = $_GET['bidday'];
        $bidday = abs(intval($bidday));

        $getcontent_url = $server_url . "/sv_com.php";
        $getcontent_data = array(
            'login' => $_SESSION['mu_username'],
            'name' => $_SESSION['mu_nvchon'],
            'action' => 'giahan',
            'bidid' => $bidid,
            'bidday' => $bidday,

            'pagesv' => 'sv_com_chotroi',
            'string_login' => $_SESSION['checklogin'],
            'passtransfer' => $passtransfer
        );

        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

        if (empty($reponse)) echo "Server bảo trì.";
        elseif ($reponse == "login_other") {
            echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            session_destroy();
        }
        else {
            if (read_TagName($reponse, 'info', 1) == 'OK') {
                _getchotroi_list('data/chotroi_bidding.txt', 0);
                echo "OK";
            } else echo $reponse;
        }
        break;

    case 'dg_rutitem':
        $bidid = $_GET['bidid'];
        $bidid = abs(intval($bidid));

        $getcontent_url = $server_url . "/sv_com.php";
        $getcontent_data = array(
            'login' => $_SESSION['mu_username'],
            'name' => $_SESSION['mu_nvchon'],
            'action' => 'rutitem',
            'bidid' => $bidid,

            'pagesv' => 'sv_com_chotroi',
            'string_login' => $_SESSION['checklogin'],
            'passtransfer' => $passtransfer
        );

        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

        if (empty($reponse)) echo "Server bảo trì.";
        elseif ($reponse == "login_other") {
            echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            session_destroy();
        }
        else {
            if (read_TagName($reponse, 'info', 1) == 'OK') {
                _getchotroi_list('data/chotroi_bidding.txt', 0);
                echo "OK";
            } else echo $reponse;
        }
        break;
}



?>