<?php

define('QWEB', true);
include_once('includes/function.php');
include_once('config/config.php');

$title = "Event Hỗn Chiến Arena";
$file_data = "eventpk_data.txt";
$time_update = 1 * 60;


function _readfile($file, $mode = 'r')
{
    $fp = fopen($file, $mode);
    $content = fgets($fp);
    fclose($fp);
    return $content;
}

function _writefile($file, $content, $mode = 'w')
{
    $fp = fopen($file, $mode);
    fputs($fp, $content);
    fclose($fp);
}

// Lay du lieu tu Server
if (!file_exists($file_data) || (file_exists($file_data) && (filemtime($file_data) < (time() - $time_update) || filemtime($file_data) > (time() + $time_update)))) {
    $getcontent_url = $server_url . "/event_pk_arena/sv_event_pk_arena.php";
    $getcontent_data = array(
        'passtransfer' => $passtransfer
    );

    $show_reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

    if (empty($show_reponse)) $notice = "Server bảo trì.";
    else {
        $notice = $show_reponse;
    }
    _writefile($file_data, $notice);
}



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <META HTTP-EQUIV="Refresh" CONTENT="30">
    <title><?php echo $title; ?></title>
</head>
<body>
<center>
    <font color='blue' size=5><?php echo $title; ?></font><br/>
    (Event tự động cập nhập, các bạn không cần ấn F5 hoặc load lại trang)<br/>
    <font color='red'><b>Lưu ý: OUT ra vào lại sẽ bị mất hết điểm PK</b></font>
    <hr/>
    <?php
    $err = false;
// Doc du lieu
    $read_data = _readfile($file_data);
    $data_explode = explode("|", $read_data);
    if ($data_explode[1] == "OK") {
        if ($data_explode[2] == 1) {
            echo "Chưa đến thời gian tham gia Event<br /><strong>Thời gian tham gia Event</strong>: " . $data_explode[3];
            $err = true;
        } else if ($data_explode[2] == 9) {
            echo "Đã hết thời gian tham gia Event<br /><strong>Thời gian tham gia Event</strong>: " . $data_explode[3];
            $top_data = $data_explode[4];
            $top_data_arr = unserialize_safe($top_data);
        }
    } else {
        $top_data_arr = unserialize_safe($read_data);
    }

    if ($err === false) {
        if ($top_data_arr === false) {
            echo "$read_data";
        } else {
            echo '<table width="500" border="1" style="border-collapse:collapse">';
            echo "<tr><td align='center'><strong>TOP PK</strong></td><td align='center'><strong>Nhân vật</strong></td><td align='center'><strong>Điểm PK</strong></td></tr>";
            foreach ($top_data_arr['pkinfo'] as $key => $pkchar) {
                $top = $key + 1;
                echo "<tr>";
                echo "<td align='center'>" . $top . "</td>";
                echo "<td align='center'>" . $pkchar['Name'] . "</td>";
                echo "<td align='center'>" . $pkchar['PkCount'] . "</td>";
                echo "</tr>";
            }
            echo "</table>";
        }
    }


    ?>
</center>

</body>
</html>