function _pageload(url, data, id) {
    $.ajax({
        url:url,
        type:"GET",
        data:data,
        cache:false,
        beforeSend:function () {
            $('#loading').show();
            $('#notice').hide();
            $('#' + id).hide();
        },
        success:function (html) {
            $('#loading').hide();
            $('#' + id).html(html);
            $('#' + id).fadeIn('medium');
        }
    });
}

$(document).ready(function () {

    var url = window.location.hash;

    if (url.indexOf('#') != -1) {
        var c_url = url.split('#');
        var c_url_last = c_url.length - 1;
        var module = c_url ? c_url[c_url_last] : 'home';
        _pageload('index2.php?mod=' + module, '', 'hienthi');

        var mod_split = module.split('&');
        var mod_pri = mod_split ? mod_split[0] : module;

        $('#mainmenu a[rel=menuajax]').removeClass('menuactive');
        $('#mainmenu a[href=#' + mod_pri + ']').addClass('menuactive');
    }

    $('.item_dg_tooltip').tooltip();

    $('a[rel=menuajax]').live('click', function () {
        var url = $(this).attr('href');

        if (url.indexOf('#') != -1) {
            var c_url = url.split('#');
            var module = c_url ? c_url[1] : '#';
            _pageload('index2.php?mod=' + module, '', 'hienthi');
        }

        $('#mainmenu a[rel=menuajax]').removeClass('menuactive');
        $(this).addClass('menuactive');
    });

    $('a[rel=ajax]').live('click', function () {
        var url = $(this).attr('href');

        if (url.indexOf('#') != -1) {
            var c_url = url.split('#');
            var module = c_url ? c_url[1] : '#';
            _pageload('index2.php?mod=' + module, '', 'hienthi');

            var mod_split = module.split('&');
            var mod_pri = mod_split ? mod_split[0] : module;

            $('#mainmenu a[rel=menuajax]').removeClass('menuactive');
            $('#mainmenu a[href=#' + mod_pri + ']').addClass('menuactive');
        }

    });

    $("input[name='item']").live('change', function () {
        var x = $("input[name='item']:checked").attr('x');
        var y = $("input[name='item']:checked").attr('y');

        // So Item tren 1 hang
        var itemperrow = Math.floor(8 / x);
        // So Item tren 1 cot
        var itempercolumn = Math.floor(8 / y);
        // So luong Item toi da
        var slgmax = itemperrow * itempercolumn;

        var slgitem_choise = "";
        for (i = 1; i <= slgmax; i++) {
            slgitem_choise += "<option value='" + i + "'>" + i + "</option>";
        }
        $('#slg').html(slgitem_choise);
    });

    $("#chao").live('change', function () {
        var chao = $("#chao").val();
        var cre = $("#cre").val();
        var blue = $("#blue").val();
        var lvitem = $("#lvitem").html();

        $.get("ajax_action.php", { ajax:"itemuplv", ichao:chao, icre:cre, iblue:blue, ilvitem:lvitem },
            function (data) {
                $("#percent").html(data);
            });
    });

    $("#cre").live('change', function () {
        var chao = $("#chao").val();
        var cre = $("#cre").val();
        var blue = $("#blue").val();
        var lvitem = $("#lvitem").html();
        $.get("ajax_action.php", { ajax:"itemuplv", ichao:chao, icre:cre, iblue:blue, ilvitem:lvitem },
            function (data) {
                $("#percent").html(data);
            });
    });

    $("#blue").live('change', function () {
        var chao = $("#chao").val();
        var cre = $("#cre").val();
        var blue = $("#blue").val();
        var lvitem = $("#lvitem").html();

        $.get("ajax_action.php", { ajax:"itemuplv", ichao:chao, icre:cre, iblue:blue, ilvitem:lvitem },
            function (data) {
                $("#percent").html(data);
            });
    });

    $(".epitem_reg").live('click', function () {
        var serial = $(this).attr("serial");
        var dataString = "action=reg&iserial=" + serial;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=event_epitem",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_" + serial).html("<img src='images/loading1.gif' border='0' />");
                $("#err_" + serial).html("");
            },
            complete:function () {
                $("#loading_" + serial).html("");

            },
            success:function (html) {
                if (html == 'OK') {
                    $("#td_" + serial).html('Ðăng ký thành công');
                } else {
                    $("#err_" + serial).html(html);
                }
            }
        });

        return false;
    });

    $(".epitem_update").live('click', function () {
        var serial = $(this).attr("serial");
        var dataString = "action=update&iserial=" + serial;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=event_epitem",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_" + serial).html("<img src='images/loading1.gif' border='0' />");
                $("#err_" + serial).html("");
            },
            complete:function () {
                $("#loading_" + serial).html("");

            },
            success:function (html) {
                var html_split = html.split("<nbb>");
                if (html_split[1] == "OK") {
                    if (html_split[2] == "OK") {
                        $("#td_" + serial).html('<strong><font color="#00FFFF">Ðã hoàn thành</font></strong><br />' + html_split[3]).css("background-color", "#121212");
                    } else {
                        $("#err_" + serial).html(html_split[2]);
                    }
                } else {
                    $("#err_" + serial).html(html);
                }
            }
        });

        return false;
    });

    $(".lockitem_lock").live('click', function () {
        var serial = $(this).attr("serial");
        var vitri = $(this).attr("vitri");
        var opd = $("#opd_" + vitri).val();

        if (serial.length == 0) {
            alert('Serial Item không hợp lệ');
        } else if (opd.length == 0) {
            alert('Chưa nhập mật khẩu OPD');
        } else {
            var dataString = "action=lock&iserial=" + serial + "&vitri=" + vitri + "&opd=" + opd;

            $.ajax({
                type:"GET",
                url:"ajax_action.php?ajax=nv_lockitem",
                data:dataString,
                cache:false,
                beforeSend:function () {
                    $("#loading_" + vitri).html("<img src='images/loading1.gif' border='0' />");
                    $("#err_" + vitri).html("");
                },
                complete:function () {
                    $("#loading_" + vitri).html("");

                },
                success:function (html) {
                    if (html == "OK") {
                        $("#lockinfo_" + vitri).html("<font color='blue'>Item đã bảo vệ</font>");
                        $("#button_" + vitri).html("<input type='button' vitri='" + vitri + "' class='lockitem_unlock' value='Hủy Bảo vệ Item' /> <font color='blue'>Miễn Phí</font>");
                    } else {
                        $("#err_" + vitri).html(html);
                    }
                }
            });
        }

        return false;
    });

    $(".lockitem_unlock").live('click', function () {
        var vitri = $(this).attr("vitri");
        var opd = $("#opd_" + vitri).val();
        var price_lock = $("#price_lock").html();

        if (vitri.length == 0) {
            alert('Vị Trí Item không hợp lệ');
        } else if (opd.length == 0) {
            alert('Chưa nhập mật khẩu OPD');
        } else {
            var dataString = "action=unlock&vitri=" + vitri + "&opd=" + opd;

            $.ajax({
                type:"GET",
                url:"ajax_action.php?ajax=nv_lockitem",
                data:dataString,
                cache:false,
                beforeSend:function () {
                    $("#loading_" + vitri).html("<img src='images/loading1.gif' border='0' />");
                    $("#err_" + vitri).html("");
                },
                complete:function () {
                    $("#loading_" + vitri).html("");

                },
                success:function (html) {
                    var html_split = html.split("<nbb>");
                    if (html_split[1] == "OK") {
                        $("#lockinfo_" + vitri).html("<font color='red'><strong>Item chưa được bảo vệ</strong></font>");
                        $("#button_" + vitri).html("<input type='button' vitri='" + vitri + "' serial='" + html_split[2] + "' class='lockitem_lock' value='Bảo vệ Item' /> " + price_lock);
                    } else {
                        $("#err_" + vitri).html(html);
                    }
                }
            });
        }

        return false;
    });

    $(".bid_dgn").live('click', function () {
        var bidid = $(this).attr("bidid");
        var price_min = $(this).attr("price_min");
        var bid_mod = $(this).attr("bid_mod");

        var bid = $("#bid_" + bidid).val();
        bid = parseInt(bid);

        if (bid < price_min) {
            alert('Giá Đấu ' + bid + ' phải lớn hơn hoặc bằng Giá đấu nhỏ nhất');
        } else if (bid % bid_mod != 0) {
            alert('Giá đấu ' + bid + ' phải chia hết cho ' + bid_mod);
        } else {
            var dataString = "action=bid&bidid=" + bidid + "&bid=" + bid;

            $.ajax({
                type:"GET",
                url:"ajax_action.php?ajax=com_daugianguoc",
                data:dataString,
                cache:false,
                beforeSend:function () {
                    $("#loading_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                    $("#notice_" + bidid).html("");
                },
                complete:function () {
                    $("#loading_" + bidid).html("");
                },
                success:function (html) {
                    if (html == "OK") {
                        $("#notice_" + bidid).html("<font color='blue'><strong>Đã đấu : " + bid + " Vpoint</strong><br />Tài khoản của bạn bị <strong>đóng băng " + bid + " Vpoint</strong>. Kết thúc Đấu giá sẽ được hoàn trả.</font>");
                    } else {
                        $("#notice_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                    }
                }
            });
        }

        return false;
    });

    $(".reward_dgn").live('click', function () {
        var bidid = $(this).attr("bidid");

        var dataString = "action=reward&bidid=" + bidid;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=com_daugianguoc",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_reward_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                $("#reward_err_" + bidid).html("")
            },
            complete:function () {
                $("#loading_reward_" + bidid).html("");
            },
            success:function (html) {
                if (html == "OK") {
                    $("#reward_" + bidid).html("<font color='blue'><strong>Đã nhận</strong></font>");
                } else {
                    $("#reward_err_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                }
            }
        });

        return false;
    })

    $('.listbid').live('click', function () {
        $(this).fancybox({
            'titlePosition':'inside',
            'transitionIn':'none',
            'transitionOut':'none',

        }).click();
        return false;
    });

    $(".dgn_bidding_view").live('click', function () {
        var bidid = $(this).attr('bidid');
        var dataString = "action=bidding_view&bidid=" + bidid;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=com_daugianguoc",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_bidding_view_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                $("#notice_bidding_view_" + bidid).html("");
            },
            complete:function () {
                $("#loading_bidding_view_" + bidid).html("");
            },
            success:function (html) {
                $("#notice_bidding_view_" + bidid).html(html);
            }
        });

        return false;
    });

    $(".close_bidding_view").live('click', function () {
        var bidid = $(this).attr('bidid');
        $('#notice_bidding_view_' + bidid).html("");

        return false;
    });


    $(".itembid_up").live('click', function () {
        var vitri = $(this).attr('vitri');

        $("#itembid_unactive_" + vitri).slideUp();
        $("#itembid_active_" + vitri).slideDown();

        return false;
    });

    $(".itembid_down").live('click', function () {
        var vitri = $(this).attr('vitri');

        $("#itembid_unactive_" + vitri).slideDown();
        $("#itembid_active_" + vitri).slideUp();

        return false;
    });

    $(".itembid_send").live('click', function () {
        var vitri = $(this).attr('vitri');
        var item_code = $(this).attr('item_code');

        var price_min = $("#price_min_" + vitri).val();
        price_min = parseInt(price_min);
        var price_max = $("#price_max_" + vitri).val();
        price_max = parseInt(price_max);
        var bidday = $("#bidday_" + vitri).val();
        bidday = parseInt(bidday);

        if (vitri < 0 || vitri > 120) {
            alert('Vị trí Item sai');
        } else if (item_code.length != 32) {
            alert('Item Code sai');
        } else if (price_min <= 0) {
            alert('Giá khởi điểm ' + price_min + ' phải lớn hơn 0 Vpoint');
        } else if (price_min % 100 != 0) {
            alert('Giá khởi điểm ' + price_min + ' phải chia hết cho 100');
        } else if (price_max <= price_min) {
            alert('Giá mua đứt ' + price_max + ' phải lớn hơn giá khởi điểm ' + price_min);
        } else if (price_max % 100 != 0) {
            alert('Giá mua đứt ' + price_max + ' phải chia hết cho 100');
        } else {
            var dataString = "action=itembid_send&vitri=" + vitri + "&item_code=" + item_code + "&price_min=" + price_min + "&price_max=" + price_max + "&bidday=" + bidday;

            $.ajax({
                type:"GET",
                url:"ajax_action.php?ajax=com_daugia",
                data:dataString,
                cache:false,
                beforeSend:function () {
                    $("#itembid_send_loading_" + vitri).html("<img src='images/loading1.gif' border='0' />");
                    $("#itembid_send_view_" + vitri).html("");
                },
                complete:function () {
                    $("#itembid_send_loading_" + vitri).html("");
                },
                success:function (html) {
                    if (html == 'OK') {
                        $("#item_" + vitri).html("<font color='blue'>Item đã được đưa lên sàn đấu giá</font><br /><br />");
                    } else {
                        $("#itembid_send_view_" + vitri).html(html);
                    }

                }
            });
        }

        return false;
    });

    $(".bid_dg").live('click', function () {
        var bidid = $(this).attr("bidid");
        var bid_vpoint = $(this).attr("bid_vpoint");
        var price_max = $(this).attr("price_max");
        var bid = $("#bid_" + bidid).val();

        bidid = parseInt(bidid);
        bid_vpoint = parseInt(bid_vpoint);
        price_max = parseInt(price_max);
        bid = parseInt(bid);

        if (bid <= bid_vpoint) {
            alert('Giá Đấu ' + bid + ' Vpoint phải lớn hơn Giá đấu hiện tại ' + bid_vpoint);
        } else if (bid % 100 != 0) {
            alert('Giá đấu ' + bid + ' Vpoint phải chia hết cho 100');
        } else if (bid > price_max) {
            alert('Giá đấu ' + bid + ' Vpoint chỉ được bằng ' + price_max + ' Vpoint để mua đứt Item.');
        } else {
            var dataString = "action=bid&bidid=" + bidid + "&bid=" + bid + "&bid_vpoint=" + bid_vpoint + "&price_max=" + price_max;

            $.ajax({
                type:"GET",
                url:"ajax_action.php?ajax=com_daugia",
                data:dataString,
                cache:false,
                beforeSend:function () {
                    $("#loading_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                    $("#notice_" + bidid).html("");
                },
                complete:function () {
                    $("#loading_" + bidid).html("");
                },
                success:function (html) {
                    if (html == "OK") {
                        $("#notice_" + bidid).html("<font color='blue'><strong>Đã đấu : " + bid + " Vpoint</strong><br />Tài khoản của bạn bị <strong>đóng băng " + bid + " Vpoint</strong>. <br />Khi có người trả giá cao hơn, sẽ được hoàn trả.</font><br /><br />");
                    } else if (html == "OK2") {
                        $("#notice_" + bidid).html("<font color='blue'><strong>Bạn đã mua đứt Item. <br />Vui lòng vào <a href='#com&act=daugia&page=daugia_end' rel='ajax' >Đấu Giá đã tham gia</a> để lấy Item.</font><br /><br />");
                    } else {
                        $("#notice_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                    }
                }
            });
        }

        return false;
    });

    $(".reward_dg").live('click', function () {
        var bidid = $(this).attr("bidid");

        var dataString = "action=reward&bidid=" + bidid;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=com_daugia",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_reward_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                $("#reward_err_" + bidid).html("")
            },
            complete:function () {
                $("#loading_reward_" + bidid).html("");
            },
            success:function (html) {
                if (html == "OK") {
                    $("#reward_" + bidid).html("<font color='blue'><strong>Đã nhận</strong></font>");
                } else {
                    $("#reward_err_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                }
            }
        });

        return false;
    })

    $(".dg_giahan").live('click', function () {
        var bidid = $(this).attr("bidid");
        var bidday = $("#bidday_" + bidid).val();

        var dataString = "action=dg_giahan&bidid=" + bidid + "&bidday=" + bidday;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=com_daugia",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_giahan_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                $("#notice_view_" + bidid).html("")
            },
            complete:function () {
                $("#loading_giahan_" + bidid).html("");
            },
            success:function (html) {
                if (html == "OK") {
                    $("#item_" + bidid).html("<font color='blue'><strong>Đã gia hạn thành công</strong></font>");
                } else {
                    $("#notice_view_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                }
            }
        });

        return false;
    });

    $(".dg_rutitem").live('click', function () {
        var bidid = $(this).attr("bidid");

        var dataString = "action=dg_rutitem&bidid=" + bidid;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=com_daugia",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_rutitem_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                $("#notice_view_" + bidid).html("")
            },
            complete:function () {
                $("#loading_rutitem_" + bidid).html("");
            },
            success:function (html) {
                if (html == "OK") {
                    $("#item_" + bidid).html("<font color='blue'><strong>Đã rút Item thành công</strong></font>");
                } else {
                    $("#notice_view_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                }
            }
        });

        return false;
    })


    $(".award_receive").live('click', function () {
        var award_id = $(this).attr("award_id");

        var dataString = "action=award_receive&award_id=" + award_id;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=event_award",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_" + award_id).html("<img src='images/loading1.gif' border='0' />");
                $("#err_" + award_id).html("")
            },
            complete:function () {
                $("#loading_" + award_id).html("");
            },
            success:function (html) {
                if (html == "OK") {
                    $("#award_receive_" + award_id).html("<font color='blue'><strong>Đã nhận Item thành công</strong></font>");
                } else {
                    $("#err_" + award_id).html("<font color='red'><strong>" + html + "</strong></font>");
                }
            }
        });

        return false;
    })


    //Chotroi
    $(".itembid_send_ct").live('click', function () {
        var vitri = $(this).attr('vitri');
        var item_code = $(this).attr('item_code');

        var price_max = $("#price_max_" + vitri).val();
        price_max = parseInt(price_max);
        var bidday = $("#bidday_" + vitri).val();
        bidday = parseInt(bidday);

        if (vitri < 0 || vitri > 120) {
            alert('Vị trí Item sai');
        } else if (item_code.length != 32) {
            alert('Item Code sai');
        } else if (price_max <= 0) {
            alert('Giá rao bán ' + price_max + ' phải lớn hơn 0 Vpoint');
        } else if (price_max % 100 != 0) {
            alert('Giá mua đứt ' + price_max + ' phải chia hết cho 100');
        } else {
            var dataString = "action=itembid_send&vitri=" + vitri + "&item_code=" + item_code + "&price_max=" + price_max + "&bidday=" + bidday;

            $.ajax({
                type:"GET",
                url:"ajax_action.php?ajax=com_chotroi",
                data:dataString,
                cache:false,
                beforeSend:function () {
                    $("#itembid_send_loading_" + vitri).html("<img src='images/loading1.gif' border='0' />");
                    $("#itembid_send_view_" + vitri).html("");
                },
                complete:function () {
                    $("#itembid_send_loading_" + vitri).html("");
                },
                success:function (html) {
                    if (html == 'OK') {
                        $("#item_" + vitri).html("<font color='blue'>Item đã được đưa lên rao bán</font><br /><br />");
                    } else {
                        $("#itembid_send_view_" + vitri).html(html);
                    }

                }
            });
        }

        return false;
    });

    $(".bid_ct").live('click', function () {
        var bidid = $(this).attr("bidid");
        var bid_vpoint = $(this).attr("bid_vpoint");
        var price_max = $(this).attr("price_max");
        var bid = $("#bid_" + bidid).val();

        bidid = parseInt(bidid);
        bid_vpoint = parseInt(bid_vpoint);
        price_max = parseInt(price_max);
        bid = parseInt(bid);

        if (bid % 100 != 0) {
            alert('Giá bid_ct ' + bid + ' Vpoint phải chia hết cho 100');
        } else if (bid > price_max) {
            alert('Giá mua ' + bid + ' Vpoint chỉ được bằng ' + price_max + ' Vpoint để mua Item.');
		} else if (bid == 0) {
            alert('Giá mua ' + bid + ' Vpoint không được bằng 0.');
		} else if (bid < price_max) {
            alert('Giá mua ' + bid + ' Vpoint chỉ được bằng ' + price_max + ' Vpoint để mua Item.');
        } else {
            var dataString = "action=bid&bidid=" + bidid + "&bid=" + bid + "&bid_vpoint=" + bid_vpoint + "&price_max=" + price_max;

            $.ajax({
                type:"GET",
                url:"ajax_action.php?ajax=com_chotroi",
                data:dataString,
                cache:false,
                beforeSend:function () {
                    $("#loading_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                    $("#notice_" + bidid).html("");
                },
                complete:function () {
                    $("#loading_" + bidid).html("");
                },
                success:function (html) {
                    if (html == "OK") {
                        $("#notice_" + bidid).html("<font color='blue'><strong>Đã mua : " + bid + " Vpoint</strong><br />Tài khoản của bạn bị <strong>đóng băng " + bid + " Vpoint</strong>.</font><br /><br />");
                    } else if (html == "OK2") {
                        $("#notice_" + bidid).html("<font color='blue'><strong>Bạn đã mua Item. <br />Vui lòng vào <a href='#com&act=chotroi&page=chotroi_end' rel='ajax' >Rao bán đã tham gia</a> để lấy Item.</font><br /><br />");
                    } else {
                        $("#notice_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                    }
                }
            });
        }

        return false;
    });

    $(".reward_ct").live('click', function () {
        var bidid = $(this).attr("bidid");

        var dataString = "action=reward&bidid=" + bidid;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=com_chotroi",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_reward_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                $("#reward_err_" + bidid).html("")
            },
            complete:function () {
                $("#loading_reward_" + bidid).html("");
            },
            success:function (html) {
                if (html == "OK") {
                    $("#reward_" + bidid).html("<font color='blue'><strong>Đã nhận</strong></font>");
                } else {
                    $("#reward_err_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                }
            }
        });

        return false;
    })

    $(".ct_giahan").live('click', function () {
        var bidid = $(this).attr("bidid");
        var bidday = $("#bidday_" + bidid).val();

        var dataString = "action=ct_giahan&bidid=" + bidid + "&bidday=" + bidday;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=com_chotroi",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_giahan_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                $("#notice_view_" + bidid).html("")
            },
            complete:function () {
                $("#loading_giahan_" + bidid).html("");
            },
            success:function (html) {
                if (html == "OK") {
                    $("#item_" + bidid).html("<font color='blue'><strong>Đã gia hạn thành công</strong></font>");
                } else {
                    $("#notice_view_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                }
            }
        });

        return false;
    });

    $(".ct_rutitem").live('click', function () {
        var bidid = $(this).attr("bidid");

        var dataString = "action=ct_rutitem&bidid=" + bidid;

        $.ajax({
            type:"GET",
            url:"ajax_action.php?ajax=com_chotroi",
            data:dataString,
            cache:false,
            beforeSend:function () {
                $("#loading_rutitem_" + bidid).html("<img src='images/loading1.gif' border='0' />");
                $("#notice_view_" + bidid).html("")
            },
            complete:function () {
                $("#loading_rutitem_" + bidid).html("");
            },
            success:function (html) {
                if (html == "OK") {
                    $("#item_" + bidid).html("<font color='blue'><strong>Đã rút Item thành công</strong></font>");
                } else {
                    $("#notice_view_" + bidid).html("<font color='red'><strong>" + html + "</strong></font>");
                }
            }
        });

        return false;
    })

});


