﻿var clock = {
    weekDays:["SUN", "MON", "TUE", "WED", "THU", "FRI", "SAT"],
    monthNames:["01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12"],
    serverDate:{}, // server date obj
    localDate:{}, // local date obj
    dateOffset:{}, // offset ammount
    nowDate:{}, // adjusted date
    dateString:{}, // formated
    el:{}, // element to update
    timeout:{}, // timeout handle
    init:function (date, id, interval) {
        this.calculateOffset(date);
        this.el = document.getElementById(id);
        this.updateClock(interval);
    },
    calculateOffset:function (serverDate) {
        this.serverDate = new Date(serverDate);
        this.localDate = new Date();
        this.dateOffset = this.serverDate - this.localDate;
    },
    updateClock:function (interval) {
        this.nowDate = new Date();
        this.nowDate.setTime(this.nowDate.getTime() + this.dateOffset);
        this.dateFormat(this.nowDate);
        this.el.innerHTML = this.dateString;
        var me = this;
        this.timeout = setTimeout(function () {
            me.updateClock(interval)
        }, interval);
    },
    stopClock:function () {
        clearTimeout(this.timeout);
    },
    dateFormat:function (dateObj) {
        this.dateString = '<span>' + this.digit(dateObj.getHours()) + ':' + this.digit(dateObj.getMinutes()) + ':' + this.digit(dateObj.getSeconds()) + '</span>';
        this.dateString += '  ';
        this.dateString += this.digit(dateObj.getDate()) + '/';
        this.dateString += this.monthNames[dateObj.getMonth()] + '/';
        this.dateString += dateObj.getFullYear();
    },
    digit:function (str) {
        str = String(str);
        str = str.length == 1 ? "0" + str : str;
        return str;
    }
};

var intVal = '0123456789.';
var upVal = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
var lowVal = 'abcdefghijklmnopqrstuvwxyz';
var etcVal = ' ~`!@#$%%^&*()-_=+\|[{]};:\'\",<.>/?';
var enterVal = '\r\n';
var totalVal = intVal + upVal + lowVal + etcVal + enterVal;

var totalVal1 = intVal + lowVal;
var totalVal2 = intVal + upVal + lowVal;

function idpasswdCheck(idchk) {
    var char_cnt, int_cnt;
    char_cnt = 0;
    int_cnt = 0;

    for (var i = 0; i <= idchk.length - 1; i++) {
        ch = idchk.substring(i, i + 1);

        if ((ch >= "A" && ch <= "Z")) {
            char_cnt = char_cnt + 1;
        }
    }

    if (!((char_cnt > 0))) {
        return true;
    } else {
        return false;
    }
}


function tolCheck(value) {
    var i;
    for (i = 0; i < totalVal.length; i++)
        if (value == totalVal.charAt(i)) {
            return true;
        }
    return false;
}


function NumACheck(value) {
    var i;
    for (i = 0; i < value.length; i++)
        if (-1 == totalVal1.indexOf(value.charAt(i))) {
            return false;
        } else {
            return true;
        }
}


function Specialcheck(value) {
    var blankCount = 0;
    var Speccount = 0;

    for (var i = 0; i < value.length; i++) {
        if (value.substring(i, i + 1) == " ") {
            blankCount = blankCount + 1;

        }
        for (j = 0; j < etcVal.length; j++) {
            if (value.substring(i, i + 1) == etcVal.charAt(j)) {
                Speccount = Speccount + 1;
            }
        }
    }

    if (blankCount > 0 || Speccount > 0) {
        return true;
    } else {
        return false;
    }
}


function dataSize(varData) {
    var i, ch;
    var size;

    for (i = 0, size = 0; i < varData.length; i++) {
        ch = varData.charAt(i);
        if (tolCheck(ch)) {
            size++;
        } else {
            size += 2;
        }
    }
    return size;
}


function log_out(B) {
    var A = document.getElementsByTagName("html")[0];
    A.style.filter = "progid:DXImageTransform.Microsoft.BasicImage(grayscale=1)";
    if (confirm(B)) return true
    else {
        A.style.filter = "";
        return false
    }
}


function menuLayer_open(idname) {
    document.getElementById(idname).style.display = "block";
}
function menuLayer_close(idname) {
    document.getElementById(idname).style.display = "none";
}


function findNewUser(id) {
    document.getElementById('UserID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("findNewUserTrue('" + id + "')", 3000);
}
function findNewUserTrue(id) {
    if (idpasswdCheck(document.frmRegister.Account.value) == false) {
        document.getElementById('UserID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Tài khoản không hợp lệ</span>';
        document.frmRegister.Account.focus();
        document.frmRegister.Account.value = "";
        alert("Tên tài khoản không được sử dụng dấu cách.");
        return false;
    }
    if (!NumACheck(document.frmRegister.Account.value)) {
        document.getElementById('UserID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Tài khoản không hợp lệ</span>';
        document.frmRegister.Account.focus();
        document.frmRegister.Account.value = "";
        alert("Tên tài khoản không được viết HOA.");
        return false;
    }
    if (Specialcheck(document.frmRegister.Account.value)) {
        document.getElementById('UserID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Tài khoản không hợp lệ</span>';
        document.frmRegister.Account.focus();
        document.frmRegister.Account.value = "";
        alert("Tên tài khoản không được sử dụng ký tự đặc biệt.");
        return false;
    }
    if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    }
    else {// code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET", 'checkForm.php?action=checkid&id=' + id, false);
    xmlhttp.send(null);
    document.getElementById('UserID').innerHTML = xmlhttp.responseText;
    cells = UserID.getElementsByTagName("script");
    for (var i = 0; i < cells.length; i++) {
        eval(cells[i].innerHTML);
    }
}


function checkPassword(id) {
    document.getElementById('PasswordID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkPasswordTrue('" + id + "')", 1000);
}
function checkPasswordTrue(id) {
    if (!NumACheck(document.frmRegister.Password.value)) {
        document.getElementById('PasswordID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Mật khẩu không hợp lệ</span>';
        document.frmRegister.Password.focus();
        document.frmRegister.Password.value = "";
        alert("Mật khẩu không được sử dụng dấu cách.");
        return false;
    }
    if (Specialcheck(document.frmRegister.Password.value)) {
        document.getElementById('PasswordID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Mật khẩu không hợp lệ</span>';
        document.frmRegister.Password.focus();
        document.frmRegister.Password.value = "";
        alert("Mật khẩu không được sử dụng ký tự đặc biệt.");
        return false;
    }
    if (document.frmRegister.Password.value.length < 6) {
        document.getElementById('PasswordID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Mật khẩu không hợp lệ</span>';
        document.frmRegister.Password.focus();
        document.frmRegister.Password.value = "";
        alert("Vui lòng nhập mật khẩu của bạn. Mật khẩu phải có ít nhất 6 ký tự !");
        return false;
    }
    else
        document.getElementById('PasswordID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
}


function RecheckPassword(id) {
    document.getElementById('RePasswordID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("RecheckPasswordTrue('" + id + "')", 500);
}
function RecheckPasswordTrue(id) {
    if ((document.frmRegister.Password.value) != (document.frmRegister.RePassword.value)) {
        document.getElementById('RePasswordID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Mật khẩu không giống nhau</span>';
        document.getElementById('PasswordID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Vui lòng điền lại mật khẩu</span>';
        alert("Vui lòng kiểm tra lại mật khẩu của bạn");
        document.frmRegister.Password.focus();
        document.frmRegister.Password.value = "";
        document.frmRegister.RePassword.value = "";
        //return false;
    }
    else
        document.getElementById('RePasswordID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
}


function checkEmail(id) {
    document.getElementById('checkEmailID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkEmailTrue('" + id + "')", 1000);
}
function checkEmailTrue(id) {
    if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    }
    else {// code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET", 'checkForm.php?action=checkemail&id=' + id, false);
    xmlhttp.send(null);
    document.getElementById('checkEmailID').innerHTML = xmlhttp.responseText;
    cells = checkEmailID.getElementsByTagName("script");
    for (var i = 0; i < cells.length; i++) {
        eval(cells[i].innerHTML);
    }
}


function RecheckEmail(id) {
    document.getElementById('RecheckEmailID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("RecheckEmailTrue('" + id + "')", 1500);
}
function RecheckEmailTrue(id) {
    if ((document.frmRegister.Email.value) != (document.frmRegister.ReEmail.value)) {
        document.getElementById('RecheckEmailID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Email không giống nhau</span>';
        document.getElementById('checkEmailID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Vui lòng điền lại Email</span>';
        alert("Vui lòng kiểm tra lại Email của bạn");
        document.frmRegister.Email.focus();
        document.frmRegister.Email.value = "";
        document.frmRegister.ReEmail.value = "";
        //return false;
    }
    else
        document.getElementById('RecheckEmailID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
}

function checkQuestion(id) {
    document.getElementById('checkQuestionID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkQuestionTrue('" + id + "')", 1000);
}
function checkQuestionTrue(id) {
    if (document.frmRegister.Question.value == '') {
        document.getElementById('checkQuestionID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Hãy chọn  một câu hỏi</span>';
        alert("Hãy chọn  một câu hỏi");
    }
    else
        document.getElementById('checkQuestionID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
}

function checkAnswer(id) {
    document.getElementById('AnswerID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkAnswerTrue('" + id + "')", 1000);
}
function checkAnswerTrue(id) {
    if (Specialcheck(document.frmRegister.Answer.value)) {
        document.getElementById('AnswerID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Câu trả lời bí mật không hợp lệ</span>';
        document.frmRegister.Answer.focus();
        document.frmRegister.Answer.value = "";
        alert("Câu trả lời bí mật không được sử dụng ký tự đặc biệt.");
        return false;
    }
    else if (document.frmRegister.Answer.value.length < 4) {
        document.getElementById('AnswerID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Câu trả lời cần có ít nhất 4 ký tự</span>';
        alert("Câu trả lời bí mật cần có ít nhất 4 ký tự");
    }
    else
        document.getElementById('AnswerID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
}


function checkPhoneNumber(id) {
    document.getElementById('PhoneNumberID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("isNumberPhone('" + id + "')", 1000);
}
function isNumberPhone(contents) {
    if (((contents / contents) != 1) && (contents != 0)) {
        document.getElementById('PhoneNumberID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Số điện thoại không hợp lệ</span>';
        document.frmRegister.PhoneNumber.focus();
        document.frmRegister.PhoneNumber.value = "";
        alert('Số điện thoại không hợp lệ');
    }
    else if (document.frmRegister.PhoneNumber.value.length < 9) {
        document.getElementById('PhoneNumberID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Số điện thoại không hợp lệ</span>';
        document.frmRegister.PhoneNumber.focus();
        document.frmRegister.PhoneNumber.value = "";
        alert('Số điện thoại không hợp lệ');
    }
    else
        document.getElementById('PhoneNumberID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
}


function CheckFormRegister() {
    if (document.frmRegister.Account.value == '') {
        alert("Vui lòng kiểm tra tên đăng nhập.");
        return false;
    }
    if (document.frmRegister.Account.value.length < 4) {
        alert("Vui lòng điền tên đăng nhập. Tên đăng nhập phải có ít nhất 4 ký tự !");
        document.frmRegister.Account.focus();
        document.frmRegister.Account.value = "";
        return false;
    }
    if (document.frmRegister.Password.value.length < 6) {
        alert("Vui lòng nhập mật khẩu của bạn. Mật khẩu phải có ít nhất 6 ký tự !");
        document.frmRegister.Password.focus();
        document.frmRegister.Password.value = "";
        return false;
    }
    if ((document.frmRegister.Password.value) != (document.frmRegister.RePassword.value)) {
        alert("Vui lòng kiểm tra lại mật khẩu của bạn");
        document.frmRegister.Password.focus();
        document.frmRegister.Password.value = "";
        document.frmRegister.RePassword.value = "";
        return false;
    }
    if ((document.frmRegister.Email.value.indexOf("@", 0) == -1 || document.frmRegister.Email.value.indexOf(".", 0) == -1)) {
        alert("Địa chỉ Email không hợp lệ");
        return false;
    }
    if ((document.frmRegister.Email.value) != (document.frmRegister.ReEmail.value)) {
        alert("Vui lòng kiểm tra lại Email của bạn");
        document.frmRegister.Email.focus();
        document.frmRegister.Email.value = "";
        document.frmRegister.ReEmail.value = "";
        return false;
    }
    if (document.frmRegister.PhoneNumber.value.length < 9) {
        alert("Vui lòng kiểm tra lại số điện thoại của bạn");
        document.frmRegister.PhoneNumber.focus();
        document.frmRegister.PhoneNumber.value = "";
        return false;
    }
    if (document.frmRegister.Question.value.length < 4) {
        alert("Vui lòng kiểm tra lại câu hỏi bí mật của bạn");
        document.frmRegister.Question.focus();
        document.frmRegister.Question.value = "";
        return false;
    }
    if (document.frmRegister.Answer.value.length < 4) {
        alert("Vui lòng kiểm tra lại câu trả lời bí mật của bạn");
        document.frmRegister.Answer.focus();
        document.frmRegister.Answer.value = "";
        return false;
    }
    if (document.frmRegister.vImageCodP.value.length != 6) {
        alert("Vui lòng kiểm tra lại Mã xác nhận");
        document.frmRegister.vImageCodP.focus();
        document.frmRegister.vImageCodP.value = "";
        return false;
    }
    return true;
}


function findUser(id) {
    document.getElementById('UserID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("findUserTrue('" + id + "')", 1000);
}
function findUserTrue(id) {
    if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    }
    else {// code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET", 'checkForm.php?action=finduser&id=' + id, false);
    xmlhttp.send(null);
    document.getElementById('UserID').innerHTML = xmlhttp.responseText;
    cells = UserID.getElementsByTagName("script");
    for (var i = 0; i < cells.length; i++) {
        eval(cells[i].innerHTML);
    }
}


function findAnswer(id) {
    document.getElementById('AnswerID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("findAnswerTrue('" + id + "')", 1000);
}
function findAnswerTrue(id) {
    if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    }
    else {// code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET", 'checkForm.php?action=findanswer&id=' + id, false);
    xmlhttp.send(null);
    document.getElementById('AnswerID').innerHTML = xmlhttp.responseText;
    cells = AnswerID.getElementsByTagName("script");
    for (var i = 0; i < cells.length; i++) {
        eval(cells[i].innerHTML);
    }
}


function isNumberKey(evt, id) {
    var charCode = (evt.which) ? evt.which : event.keyCode
    if (charCode > 31 && (charCode < 48 || charCode > 57)) {
        document.getElementById(id).innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Chỉ được sử dụng số</span>';
        //alert('Bạn chỉ được dùng số, không dùng chữ')
        return false;
    }
    document.getElementById(id).innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
    return true;
}


function CheckFormTranfer() {
    if (document.frmTranfer.Account.value == '') {
        document.getElementById('UserID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Tài khoản nhận không hợp lệ</span>';
        document.frmTranfer.Account.focus();
        return false;
    }
    if (document.frmTranfer.VpointTranfer.value < 10) {
        document.getElementById('VpointTranferID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Nhập số tiền muốn chuyển</span>';
        document.frmTranfer.VpointTranfer.focus();
        document.frmTranfer.VpointTranfer.value = "0";
        return false;
    }
    if (document.frmTranfer.Answer.value.length < 4) {
        document.getElementById('AnswerID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Vui lòng điền câu trả lời bí mật</span>';
        document.frmTranfer.Answer.focus();
        return false;
    }
    return true;
}

function checkCardSerial(id) {
    var strSerial = id.replace("PM", "");
    document.getElementById('CardSerialID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkCardSerialTrue('" + strSerial + "')", 2000);
}
function checkCardSerialTrue(id) {
    var CardSerialLength;
    switch (document.frmnapthe.CardType.value) {
        case "VTC":
            CardSerialLength = 12;
            break;
        case "Gate":
            CardSerialLength = 10;
            break;
        case "Viettel":
            return document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            break;
        case "Mobi":
            return document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            break;
        case "Vina":
            return document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            break;
        default:
            CardSerialLength = 12;
            break;
    }
    if (document.frmnapthe.CardSerial.value.replace(" ", "").length != CardSerialLength) {
        document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Serial thẻ không hợp lệ</span>';
        alert("Serial thẻ không hợp lệ.\nSerial thẻ phải có " + CardSerialLength + " ký tự. Bạn không được sử dụng dấu cách.");
        document.frmnapthe.CardSerial.focus();
        if (document.frmnapthe.CardType.value == "VTC")
            document.frmnapthe.CardSerial.value = "PM";
        else
            document.frmnapthe.CardSerial.value = "";
    }
    else if (((id / id) != 1) && (id != 0) && (document.frmnapthe.CardType.value == "VTC")) {
        document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Serial thẻ không hợp lệ</span>';
        alert("Serial thẻ không hợp lệ.\nSerial thẻ chỉ bao gồm chữ PM và 10 chữ số.");
        document.frmnapthe.CardSerial.focus();
        if (document.frmnapthe.CardType.value == "VTC")
            document.frmnapthe.CardSerial.value = "PM";
        else
            document.frmnapthe.CardSerial.value = "";
    }
    else
        document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
}


function checkCardCode(id) {
    document.getElementById('CardCodeID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkCardCodeTrue('" + id + "')", 2000);
}
function checkCardCodeTrue(id) {
    var CardCodeLength;
    switch (document.frmnapthe.CardType.value) {
        case "VTC":
            CardCodeLength = 12;
            break;
        case "Gate":
            CardCodeLength = 10;
            break;
        case "Viettel":
            return document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            break;
        case "Mobi":
            return document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            break;
        case "Vina":
            return document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            break;
        default:
            CardCodeLength = 12;
            break;
    }
    if (document.frmnapthe.CardCode.value.replace(" ", "").length != CardCodeLength) {
        document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Mã số thẻ không hợp lệ</span>';
        alert("Mã số thẻ không hợp lệ.\nMã số thẻ phải có " + CardCodeLength + " ký tự. Bạn không được sử dụng dấu cách.");
        document.frmnapthe.CardCode.focus();
        document.frmnapthe.CardCode.value = "";
    }
    else if (((id / id) != 1) && (id != 0)) {
        document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Mã số thẻ không hợp lệ</span>';
        alert("Mã số thẻ không hợp lệ.\nMã số thẻ chỉ bao gồm " + CardCodeLength + " chữ số.");
        document.frmnapthe.CardCode.focus();
        document.frmnapthe.CardCode.value = "";
    }
    else
        document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
}


function checkDenominations(id) {
    document.getElementById('DenominationsID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkDenominationsTrue('" + id + "')", 1000);
}
function checkDenominationsTrue(id) {
    if (document.frmnapthe.Denominations.value == '') {
        document.getElementById('DenominationsID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Hãy chọn mệnh giá thẻ nạp</span>';
        alert("Hãy chọn mệnh giá thẻ nạp của bạn.");
    }
    else
        document.getElementById('DenominationsID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
}


function CheckFormNapThe() {
    var CardSerialLength;
    var CardCodeLength;
    switch (document.frmnapthe.CardType.value) {
        case "VTC":
            CardSerialLength = 12;
            CardCodeLength = 12;
            break;
        case "Gate":
            CardSerialLength = 10;
            CardCodeLength = 10;
            break;
        case "Viettel":
            return document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            return document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            break;
        case "Mobi":
            return document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            return document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            break;
        case "Vina":
            return document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            return document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
            break;
        default:
            CardSerialLength = 12;
            CardCodeLength = 12;
            break;
    }
    if (document.frmnapthe.CardSerial.value.length < CardSerialLength) {
        document.getElementById('CardSerialID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Serial thẻ không hợp lệ</span>';
        document.frmnapthe.CardSerial.focus();
        if (document.frmnapthe.CardType.value == "VTC")
            document.frmnapthe.CardSerial.value = "PM";
        else
            document.frmnapthe.CardSerial.value = "";
        return false;
    }
    if (document.frmnapthe.CardCode.value.length < CardCodeLength) {
        document.getElementById('CardCodeID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Mã số thẻ không hợp lệ</span>';
        document.frmnapthe.CardCode.focus();
        document.frmnapthe.CardCode.value = "";
        return false;
    }
    if (document.frmnapthe.Denominations.value == '') {
        document.getElementById('DenominationsID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Hãy chọn mệnh giá thẻ nạp</span>';
        document.frmnapthe.Denominations.focus();
        return false;
    }
    return true;
}


function CheckCodeVerify(value) {
    if (value.length == 6) {
        document.getElementById('msg_vImageCodP').innerHTML = '<img style="margin-right:10px" src="images/checkbullet.gif">';
    }
    else
        document.getElementById('msg_vImageCodP').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Mã xác nhận không hợp lệ</span>';
}


function CheckFormChangeName() {
    if (document.frmChangeName.NewName.value == '') {
        document.getElementById('NewNameID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Vui lòng nhập tên Nhân vật</span>';
        document.frmChangeName.NewName.focus();
        return false;
    }
    if (document.frmChangeName.NewName.value.length < 4) {
        alert("Vui lòng điền tên nhân vật. Tên nhân vật phải có ít nhất 4 ký tự !");
        document.frmChangeName.NewName.focus();
        document.frmChangeName.NewName.value = "";
        return false;
    }
    return true;
}


function findNewName(id) {
    document.getElementById('NewNameID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("findNewNameTrue('" + id + "')", 1500);
}
function findNewNameTrue(id) {
    if (Specialcheck(document.frmChangeName.NewName.value)) {
        document.getElementById('NewNameID').innerHTML = '<img style="margin-right:5px" src="images/alert_icon.gif"><span style="color:#FF0000">Tài khoản không hợp lệ</span>';
        document.frmChangeName.NewName.focus();
        document.frmChangeName.NewName.value = "";
        alert("Tên nhân vật không được sử dụng ký tự đặc biệt.");
        return false;
    }
    if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    }
    else {// code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET", 'checkForm.php?action=checkname&id=' + id, false);
    xmlhttp.send(null);
    document.getElementById('NewNameID').innerHTML = xmlhttp.responseText;
    cells = NewNameID.getElementsByTagName("script");
    for (var i = 0; i < cells.length; i++) {
        eval(cells[i].innerHTML);
    }
}

function selectChar(id) {
    document.getElementById('ResultPoint').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("selectCharTrue('" + id + "')", 500);
}
function selectCharTrue(id) {
    if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    }
    else {// code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET", 'checkForm.php?action=character&id=' + id, false);
    xmlhttp.send(null);
    document.addpoint.TotalPoint.value = xmlhttp.responseText;
    document.getElementById('ResultPoint').innerHTML = '<strong>Điểm còn lại ' + xmlhttp.responseText + '</strong>';
    document.addpoint.Strength.value = 0;
    document.getElementById('StrengthID').innerHTML = '';
    document.addpoint.Dexterity.value = 0;
    document.getElementById('DexterityID').innerHTML = '';
    document.addpoint.Vitality.value = 0;
    document.getElementById('VitalityID').innerHTML = '';
    document.addpoint.Energy.value = 0;
    document.getElementById('EnergyID').innerHTML = '';
    document.addpoint.Command.value = 0;
    document.getElementById('CommandID').innerHTML = '';
    cells = UserID.getElementsByTagName("script");
    for (var i = 0; i < cells.length; i++) {
        eval(cells[i].innerHTML);
    }
}

function checkPoint(id) {
    document.getElementById('ResultPoint').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkPointTrue('" + id + "')", 500);
}
function checkPointTrue(id) {
    var TotalPoint = document.addpoint.TotalPoint.value;
    var Strength = document.addpoint.Strength.value;
    var Dexterity = document.addpoint.Dexterity.value;
    var Vitality = document.addpoint.Vitality.value;
    var Energy = document.addpoint.Energy.value;
    var Command = document.addpoint.Command.value;
    var ResultPointAfter = TotalPoint - Strength - Dexterity - Vitality - Energy - Command;
    if (ResultPointAfter < 0) {
        alert("Không thể cộng quá số điểm cho phép.");
    }
    document.getElementById('ResultPoint').innerHTML = '<strong>Điểm còn lại ' + ResultPointAfter + '</strong>';
}

function checkPrice(id) {
    document.getElementById('total_price').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkPriceTrue('" + id + "')", 500);
}
function checkPriceTrue(id) {
    var price_per_lvl = 1;
    var price_per_opt = 1;
    var price_luck = 5;
    var price_skill = 5;
    var price_per_exc = 5;
    var price_set1 = 10;
    var price_set2 = 20;

    var price = document.frmShopOrder.price.value;
    var level = document.frmShopOrder.level.value;
    var option = document.frmShopOrder.option.value;
    var luck = document.frmShopOrder.luck.checked;
    var skill = document.frmShopOrder.skill.checked;
    var ex1 = document.frmShopOrder.ex1.checked;
    var ex2 = document.frmShopOrder.ex2.checked;
    var ex3 = document.frmShopOrder.ex3.checked;
    var ex4 = document.frmShopOrder.ex4.checked;
    var ex5 = document.frmShopOrder.ex5.checked;
    var ex6 = document.frmShopOrder.ex6.checked;
    var set1 = document.frmShopOrder.set[0].checked;
    var set2 = document.frmShopOrder.set[1].checked;

    var total_price = price;
    total_price -= -(price * price_per_lvl / 100) * level;
    total_price -= -(price * price_per_opt / 100) * option;
    if (luck) total_price -= -price * price_luck / 100;
    if (skill) total_price -= -price * price_skill / 100;
    if (ex1) total_price -= -price * price_per_exc / 100;
    if (ex2) total_price -= -price * price_per_exc / 100;
    if (ex3) total_price -= -price * price_per_exc / 100;
    if (ex4) total_price -= -price * price_per_exc / 100;
    if (ex5) total_price -= -price * price_per_exc / 100;
    if (ex6) total_price -= -price * price_per_exc / 100;
    if (set1) total_price -= -price * price_set1 / 100;
    else if (set2) total_price -= -price * price_set2 / 100;

    document.getElementById('total_price').innerHTML = 'Giá : <font color="#FF0000">' + total_price + ' V.Point</font>';
}

function checkAnswer2(id) {
    document.getElementById('AnswerID').innerHTML = "<div style='padding:2px;'><img src=images/spinner_grey.gif /></div>"
    setTimeout("checkAnswer2True('" + id + "')", 1000);
}
function checkAnswer2True(id) {
    if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp = new XMLHttpRequest();
    }
    else {// code for IE6, IE5
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET", 'checkForm.php?action=findanswer&id=' + id, false);
    xmlhttp.send(null);
    document.getElementById('AnswerID').innerHTML = xmlhttp.responseText;
    cells = UserID.getElementsByTagName("script");
    for (var i = 0; i < cells.length; i++) {
        eval(cells[i].innerHTML);
    }
}
